<?php
ini_set('session.gc_maxlifetime', 3600);
$cookieParams = session_get_cookie_params();
session_set_cookie_params([
    'lifetime' => 3600,
    'path' => $cookieParams['path'],
    'domain' => $cookieParams['domain'],
    'secure' => $cookieParams['secure'],
    'httponly' => true
]);

session_start();
if (!isset($_SESSION['email'])) {
    header("Location: login.php");
    exit();
}

$email = $_SESSION["email"];


$id=$_GET['id'];
$conn= new mysqli('localhost','siteyajof24_questuser','@tourquests#2024','siteyajof24_questdb')or die("Could not connect to mysql".mysqli_error($conn));
?>
<!DOCTYPE html>
<html>
<head>
  <title>Day by Day Description</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">

<!-- jQuery library -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>

<!-- Latest compiled JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
  <style>

    .box{
        border: 1px solid #000;
        padding: 15px;
        overflow-y: auto;
        height: 200px;
    }

    .accordion {
  background-color: #eee;
  color: #444;
 
  padding: 18px;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  
  transition: 0.4s;
  margin-top: 40px;
}

.active, .accordion:hover {
  background-color: #ccc; 
}

.panel {
  padding: 0 18px;
  display: none;
  background-color: white;
  overflow: hidden;
}
    fieldset {
      width: 900px;
      margin: auto;
    }

    label {
      display: block;
      margin-bottom: 8px;
      font-weight: bold;
    }

    input[type="text"], textarea {
      display: block;
      width: 100%;
      padding: 8px;
      border: 1px solid #ccc;
      border-radius: 4px;
      box-sizing: border-box;
      font-size: 16px;
      margin-bottom: 16px;
    }

    textarea {
        height: 200px;

    }

    input[type="submit"] {
      background-color: #4CAF50;
      color: white;
      padding: 12px 20px;
      border: none;
      border-radius: 4px;
      cursor: pointer;
      float: right;
    }

    input[type="submit"]:hover {
      background-color: #45a049;
    }

    .error {
      color: red;
      font-weight: bold;
    }

/* Position the image container (needed to position the left and right arrows) */
.container {
 width :900px;
 height: 100px;
}

/* Hide the images by default */
#s1{
  display: block;
}
#s2{
  display: none;
}

#co{
  height: 253px;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 72px;
  padding: 8px 12px;
  position: absolute;
  margin-left: 10%;
  margin-top: 100px;
}

/* Container for image text */
.caption-container {
  text-align: center;
  background-color: #222;
  padding: 2px 16px;
  color: white;
}

.row:after {
  content: "";
  display: table;
  clear: both;
}

/* Six columns side by side */
.column {
  float: left;
  width: 16.66%;
}

/* Add a transparency effect for thumnbail images */
.demo {
  opacity: 0.6;
}

.active,
.demo:hover {
  opacity: 1;
}

    .columns {

  width: 90%;
  
}

.column {
  flex: 1;
  margin: 0 10px;
  border: 1px solid #ccc;
  padding: 10px;
}

.row{
  width :100%;
  height: 100px;
}


#cm {
   
}

strong{
  color: red;
}

    .input-container {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-top: 20px;
}

.input-container label {
  display: flex;
  align-items: center;
}

.input-container input, select {
  height: 35px;
  border-radius: 5px;
  border: 1px solid #ccc;
  padding: 5px;
}

.radio-group {
  display: flex; /* display elements in a row */
  flex-direction: row; /* align elements horizontally */
 /* center elements vertically */
}

.radio-group label {
  margin-right: 20px; /* add space between labels */
}

.radio-group input[type="radio"] {
  margin-right: 5px; /* add space between input and label */
}

input[type="radio"] {
  font-size: 40px;
}
  .container1 ul {
    list-style: none; /* to remove bullet points */
    margin: 0; /* to remove default margin */
    padding: 0; /* to remove default padding */
  }
  
  .column1 {
    display: inline-block; /* to place columns side by side */
    vertical-align: top; /* to align the content at the top */
    width: 50%; /* to make the columns occupy 50% of the container */
  }
  
  .column1 ul li {
    margin-bottom: 5px; /* to reduce spacing between list items */
  }
.navbar {
    background-color: #fbfbfb;
    position: sticky;
    top: 0;
    width: 80%;
    z-index: 9999;
    margin-bottom: 50px;
    margin-left: 10%;
    }
    .navbar ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: space-around;
    }
    .navbar li {
    padding: 10px;
    }
    .navbar li a {
    
    text-decoration: none;
    }
    .navbar li a:hover {
    text-decoration: underline;
    }
    #preview {
    background-color: #ad2322;
    color: white;
    padding: 10px;
    margin-top: 20px;
    border: 1px solid #ddd;
    }
    .navbar {
    height: 80px;
    margin-top: 10px;
    margin-bottom: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px dashed #000;
    }
    .sticky-container {
  position: sticky;
  top: 0;
  z-index: 999; 
}

#destination option {
    height: 30px; 
    width: 700px;
    font-size: 16px;

  }










  </style>
</head>
<body>
  <?php
    include('includes/header.php');
    ?>
    <div class="sticky-container">
<nav class="navbar">
                  <ul>
                    <?php
                    echo'<li><a href="edtit_tour.php?&id='.$id.'">General Information</a></li>
                    <li><a href="edit_private_group.php?&id='.$id.'">Private/Group</a></li>
                    <li><a href="edit_activities.php?&id='.$id.'">Activities</a></li>
                    <li><a href="edit_getting_there.php?&id='.$id.'">Getting There</a></li>
                    <li><a href="edit_daydescription.php?&id='.$id.'">Day-by-Day</a></li>
                    <li><a href="edit_dates_rates.php?&id='.$id.'">Dates &amp; Rates</a></li>
                    <li><a href="edit_inclusions.php?&id='.$id.'">Inclusions</a></li>
                    <li><a href="edit_photo.php?&id='.$id.'">Tour Photo</a></li>
                    <li><a href="preview/preview.php?&id='.$id.'" id="preview">Tour Preview</a></li>';?>
                  </ul>
                </nav>
</div>

  <fieldset>
      <legend>Select the day which you want to update </legend>

      <?php
$sql1 = "SELECT * FROM arrivalday WHERE title_id='$id'";
$result1 = mysqli_query($conn, $sql1);
$d1 = mysqli_num_rows($result1);
while ($row1 = mysqli_fetch_assoc($result1)) {
$title1=$row1['day_title'];
$day_id1=$row1['id'];
$days1=$row1['day'];
echo'<a href="edit_arrivalday_process.php?&&dayid='.$day_id1.'&id='.$id.'" style="text-decoration: none;">';
?>       
<h4 class="accordion" style="border-radius: 25px;">
 <?=$days1;?>&nbsp;:&nbsp;<?=$title1;?></h4></a>
<?php
}
?>


<?php
$sql = "SELECT * FROM day_wise WHERE title_id='$id'";
$result = mysqli_query($conn, $sql);
$d = mysqli_num_rows($result);
while ($row = mysqli_fetch_assoc($result)) {
$title=$row['day_title'];
$day_id=$row['id'];
$days=$row['day'];
echo'<a href="edit_day_process.php?&id='.$id.'&dayid='.$day_id.'" style="text-decoration: none;">';
?>  
     
<h4 class="accordion" style="border-radius: 25px;">
 <?=$days;?>&nbsp;:&nbsp;<?=$title;?></h4></a>
<?php
}
?>

<?php
$sql2 = "SELECT * FROM departureday WHERE title_id='$id'";
$result2 = mysqli_query($conn, $sql2);
$d2 = mysqli_num_rows($result2);
while ($row2 = mysqli_fetch_assoc($result2)) {
$title2=$row2['day_title'];
$day_id2=$row2['id'];
$days2=$row2['day'];
echo'<a href="edit_departureday_process.php?&dayid='.$day_id2.'&id='.$id.'" style="text-decoration: none;">';
?>       
<h4 class="accordion" style="border-radius: 25px;margin-bottom: 40px;">
 <?=$days2;?>&nbsp;:&nbsp;<?=$title2;?></h4></a>
<?php
}
?>  



</fieldset>
</body>
</html>


