<?php
ini_set('session.gc_maxlifetime', 3600);
$cookieParams = session_get_cookie_params();
session_set_cookie_params([
    'lifetime' => 3600,
    'path' => $cookieParams['path'],
    'domain' => $cookieParams['domain'],
    'secure' => $cookieParams['secure'],
    'httponly' => true
]);

session_start();
if (!isset($_SESSION['email'])) {
    header("Location: login.php");
    exit();
}

$email = $_SESSION["email"];
$id=$_GET['id'];
$db = new mysqli(
'localhost','siteyajof24_questuser','@tourquests#2024','siteyajof24_questdb')or die("Could not connect to mysql".mysqli_error($db));
// If upload button is clicked ...
if (isset($_POST['save'])){
$starts = $_POST['start'];
$ends = $_POST['end'];
$transfer =  mysqli_real_escape_string($db, $_POST['transfer']);
if (!$db) {
die("Connection failed: " . mysqli_connect_error());
}
$sql = "UPDATE gettingthere set tour_start='$starts', tour_end='$ends', transfer_from_back='$transfer' where title_id='$id'";
if(mysqli_query($db,$sql)) {
header('location: edit_getting_there.php?&id='.$id.'');
}
else {
echo "Error: " . $sql . "<br>" . mysqli_error($db);
}
mysqli_close($db);
}
$sql1 = "SELECT * FROM gettingthere WHERE title_id='$id'";
$result1 = mysqli_query($db, $sql1);

$start = '';
$end = '';
$from = '';

if ($result1 && mysqli_num_rows($result1) > 0) {
    $row = mysqli_fetch_assoc($result1);
    $start = $row['tour_start'];
    $end = $row['tour_end'];
    $from = $row['transfer_from_back'];
}
?>

</style>
<!DOCTYPE html>
<html lang="en" class=" computer production ">
  <head>
    <meta name="csrf-token" content="qpD4mEQUJ5ClYZ1IQOu9CeETBJrBuBLilKg3D4VW" />
    <meta name="token_refresh" content="200" />
    
    <title>Add a Tour | Africatourbase Tour Operator Admin</title>
    <meta name="robots" content="noindex, nofollow, noodp">
    <script>
    var IE6lower = false;
    </script>
    <link href="css/tourbase.min.css" media="all" rel="stylesheet" type="text/css"/>
    <link href="css/glyphicons-halflings.css" media="all" rel="stylesheet" type="text/css" />
    <link href="css/shadowbox.css" media="all" rel="stylesheet" type="text/css"/>
    <link href="css/jqueryui.1.8.4.green.css" media="all" rel="stylesheet" type="text/css"/>
    <link href="css/reveal.css" media="all" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="css/backend.min.css">
    
    <script type="text/javascript" src="js/moment.2.24.0.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script type="text/javascript" src="js/jqueryui.1.10.3.min.js"></script>
    <script type="text/javascript" src="js/validation.js"></script>
    <script type="text/javascript" src="js/jquery.metadata.js"></script>
    <script type="text/javascript" src="js/jquery.validate.js"></script>
    <script type="text/javascript" src="js/jquery.browser.min.js"></script>
    <script type="text/javascript" src="js/jquery.tinymce.js"></script>
    <script type="text/javascript" src="js/shadowbox.js"></script>
    <script type="text/javascript" src="js/jquery.uploadifive.min.js"></script>
    <script type="text/javascript" src="js/problem-box.js"></script>
    <script type="text/javascript" src="js/jquery.accordion.js"></script>
    <script type="text/javascript" src="js/jquery.radio.js"></script>
    <script type="text/javascript" src="js/jquery.remodal.min.js"></script>
    <script type="text/javascript" src="js/jquery.balloon.js"></script>
    <script type="text/javascript" src="js/daterangepicker.js"></script>
    <script type="text/javascript" src="js/foundation.min.js"></script>
    <script type="text/javascript" src="js/sb.js"></script>
    <script type="text/javascript" src="js/autocomplete.js"></script>
    <script type="text/javascript" src="js/tourbase.js"></script>
    <script type="text/javascript" src="js/safari.js"></script>
    
    <!--<script type="text/javascript">
    $sb.init("https://operators.AfricaGoTrips.com","https://www.AfricaGoTrips.com");
    </script>
    -->
    
    <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAqZO4KmgfblsNZl4mj_3aJilBsVFZ0Rco"></script>
    <script type="text/javascript" src="js/chosen.jquery.js"></script>
    <script type="text/javascript" src="js/chosenImage.jquery.js"></script>
    <script type="text/javascript" src="js/availability.js"></script>
    <script type="text/javascript" src="js/svg.js"></script>
    <script type="text/javascript" src="css/validation.js"></script>
    
    <style type="text/css">
    .navbar {
    background-color: #fbfbfb;
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 9999;
    }
    .navbar ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: space-around;
    }
    .navbar li {
    padding: 10px;
    }
    .navbar li a {
    
    text-decoration: none;
    }
    .navbar li a:hover {
    text-decoration: underline;
    }
    #preview {
    background-color: #ad2322;
    color: white;
    padding: 10px;
    margin-top: 20px;
    border: 1px solid #ddd;
    }

    .navbar {
  height: 80px;
  margin-top: 10px;
  margin-bottom: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px dashed #000;
}


    </style>
    
    
  </head>
  <?php
  include('includes/header.php');
  ?>
  <body class="    ">
    <div class="reveal-modal admin" id="reveal_modal" data-reveal></div>
    <div class="reveal-modal admin" id="reveal_modal_center" data-reveal></div>
    <div class="reveal-modal admin" id="reveal_modal_enquiry" data-reveal></div>
    <script language="JavaScript">
    // checks if there is modal content in the session and if so
    // uses a modal-center reveal to display this content
    processModalReveal();
    </script>
    <div id="surface">
      <div id="page" class="">
        <div id="Wrapper">
          <div id="Middle">
            <div id="Right">
              
              
              
              
              <div class="Yourinfo">
<nav class="navbar">
    <ul>
        <?php
        echo'<li><a href="edtit_tour.php?&id='.$id.'">General Information</a></li>
        <li><a href="edit_private_group.php?&id='.$id.'">Private/Group</a></li>
        <li><a href="edit_activities.php?&id='.$id.'">Activities</a></li>
        <li><a href="edit_getting_there.php?&id='.$id.'">Getting There</a></li>
        <li><a href="edit_daydescription.php?&id='.$id.'">Day-by-Day</a></li>
        <li><a href="edit_dates_rates.php?&id='.$id.'">Dates &amp; Rates</a></li>
        <li><a href="edit_inclusions.php?&id='.$id.'">Inclusions</a></li>
        <li><a href="edit_photo.php?&id='.$id.'">Tour Photo</a></li>
        <li><a href="preview/preview.php?&id='.$id.'" id="preview">Tour Preview</a></li>';?>
    </ul>
</nav>
                <form class="tour-form" method="POST" action="" enctype="multipart/form-data">
    <fieldset id="gettingthere">
        <h2><strong>Getting there & away</strong></h2>

        <div>
            <div class="guidelines">
                <!-- Guidelines content here -->
            </div>
            <label class="label-for-text">Starts in</label>
            <input type="text" autocorrect="off" autocomplete="off" data-mask="[a-zA-Z\u00C0-\u017F\- ]+" data-trim="1"
                data-enter="1" name="start" id="start-city" class="gettingthere01" value="<?=$start;?>" />
            (The city from where the tour starts)<br />
            <label class="label-for-text">Ends in</label>
            <input type="text" autocorrect="off" autocomplete="off" data-mask="[a-zA-Z\u00C0-\u017F\- ]+" data-trim="1"
                data-enter="1" name="end" id="end-city" class="gettingthere02" value="<?=$end;?>" />
            (The city where the tour ends)
            <br />
            <br /><br />
            <b>Is a transfer from and back to the airport included</b> (Tours with transfer perform better)<br />
            <br />
            <input type="radio" name="transfer" id="roundtrip-incl"
                value="A transfer from and back to the airport is included"
                <?php if ($from == 'A transfer from and back to the airport is included') echo 'checked'; ?>>
            <label for="roundtrip-incl"><b>Yes,</b> <span>a transfer from and back to the airport is included</span></label><br />

            <input type="radio" name="transfer" id="roundtrip-optional"
                value="is not included, but can be arranged for an extra cost"
                <?php if ($from == 'is not included, but can be arranged for an extra cost') echo 'checked'; ?>>
            <label for="roundtrip-optional"><b>No,</b> <span>is not included, but can be arranged for an extra cost</span></label><br />

            <input type="radio" name="transfer" id="roundtrip-excl" value="is not included and we cant arrange it"
                <?php if ($from == 'is not included and we cant arrange it') echo 'checked'; ?>>
            <label for="roundtrip-excl"><b>No,</b> <span>is not included and we cant arrange it</span></label><br />
        </div>
    </fieldset>
    <input type="submit" name="save" value="Update" class="sb-button large button1652012 bottom-submit-btn" />
</form>
                <script type="text/javascript">
                var safari_id = '0';
                var operator_id = '5067';
                </script>
              </div>
            </div>
          </div>
          <div id="confirmbox" style="display:none"></div>
          <div class="clr"></div>
        </div>
        <div class="row-container footer-container">
          <div class="footer">
            <ul class="links">
              <li>
                <span>&copy; 2023 AfricaGoTrip</span>
                <span class="sep"> - </span>
              </li>
            </ul>
          </div>
        </div>
      </div>
      <div class="problem-box-holder">
        <div class="problem-box">
          <div class="form">
            <a href="#" class="open-button">
              Report a problem
            </a>
            <div class="row collapsed">
              <h3>
              Report a Problem
              <em>*All fields are required</em>
              </h3>
            </div>
            <form action="" method="post">
              <input type="hidden" name="operator_id" value="5067" />
              <input type="hidden" name="operator_name" value="Burigi Chato Safaris" />
              <input type="hidden" name="useragent" value="Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/109.0.0.0 Safari/537.36" />
              <input type="hidden" name="ipaddress" value="41.59.43.125" />
              <input type="hidden" name="url" value="https://operators.AfricaGoTrips.com/safari/add" />
              <legend>
                Report a problem
              </legend>
              <div class="row clearfix">
                <label class="field-label inline">
                  Name
                </label>
                <div class="input-container input-text">
                  <input type="text" name="Name" /><span></span>
                </div>
              </div>
              <div class="row clearfix">
                <label class="field-label inline">
                  Email
                </label>
                <div class="input-container input-text">
                  <input type="text" name="Email" /><span></span>
                </div>
              </div>
              <div class="row clearfix">
                <label class="field-label inline">
                  Issue
                </label>
                <div class="input-container input-radio">
                  <span>
                    <input class="checklabel" type="radio" name="issue" id="issue-bug" value="bug">
                    <label for="issue-bug">Technical/Bug</label>
                  </span>
                  <span>
                    <input class="checklabel" type="radio" name="issue" id="issue-accommodation" value="accommodation">
                    <label for="issue-accommodation">Accommodation</label>
                  </span>
                  <span>
                    <input class="checklabel" type="radio" name="issue" id="issue-other" value="other">
                    <label for="issue-other">Other</label>
                  </span>
                  <span></span>
                </div>
              </div>
              <div class="row clearfix no-padding-top">
                <label class="field-label">
                  Message<span></span>
                </label>
                <div class="input-container input-text">
                  <textarea name="Message"></textarea>
                </div>
              </div>
              <div class="row">
                <button type="submit" class="sb-button submit">
                <span>
                  Send
                </span>
                </button>
                <button class="sb-button grey btn-close btn-cancel small">
                <span>
                  Cancel
                </span>
                </button>
              </div>
            </form>
            <div class="state success hidden">
              <h3><img src="/images/check-success.png" />Your message has been sent</h3>
              <p>
                Thank you for reporting a problem. We're sorry if it resulted in any inconvenience and will get back
                to you as soon as possible. If you have additional questions or remarks, you can contact us at <a href="mailto:support@AfricaGoTrips.com">support@AfricaGoTrips.com</a>.
              </p>
              <button class="sb-button btn-close-form">
              <span>
                Close
              </span>
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
  <script>
  var sb_version='1.0.85';
  var cookie_domain='AfricaGoTrips.com';
  var mvcAction = '';
  var function_avail_uncertain = true;
  mvcAction = "add";
  Shadowbox.init({
  // let's skip the automatic setup because we don't have any
  // properly configured link elements on the page
  //skipSetup: true
  players:  [ 'html'],
  onOpen: onShOpen,
  onClose: onShClose,
  modal: true
  });
  function onShOpen() {
  document.body.style.overflow = "hidden";
  return true;
  }
  function onShClose() {
  document.body.style.overflow = "auto";
  return true;
  }
  </script>
  <script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
  ga('create', 'UA-23211223-2', 'auto');
  ga('set', 'anonymizeIp', true);
  ga('send', 'pageview');
  </script>
  <!-- 0.22282290458679 / 33 q / 23 ch / 5 cm / sb-eu-web1 -->
</html>