<?php

// Set the maximum session lifetime
ini_set('session.gc_maxlifetime', 3600);

// Set the session cookie parameters
$cookieParams = session_get_cookie_params();
session_set_cookie_params([
    'lifetime' => 3600,
    'path' => $cookieParams['path'],
    'domain' => $cookieParams['domain'],
    'secure' => $cookieParams['secure'],
    'httponly' => true
]);

// Start the session
session_start();

// Check if the user is logged in
if (!isset($_SESSION['email'])) {
    header("Location: login.php");
    exit();
}

// Get the user's email from the session
$email = $_SESSION["email"];
?>


<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/css/bootstrap.min.css">
    <!-- Font Awesome CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
<style type="text/css">
  /* Add your CSS styles here */

  .row {
    margin: 10px 0;
  }

  #line {
    height: 1px;
    border: none;
    background-color: #ccc;
    margin: 20px 0;
  }

  .example {
    display: flex;
    align-items: center;
  }

  .example input[type="text"] {
    border: none;
    border-bottom: 2px solid #ccc;
    padding: 5px;
    margin-right: 5px;
  }

  .example button[type="submit"] {
    border: none;
    background-color: transparent;
    color: #dc3545;
    font-size: 20px;
  }

  .example button[type="submit"]:hover {
    color: #fff;
    background-color: #dc3545;
  }

  .col-md-3 .example {
    float: right;
  }

  /* Add this new style for the search form background */
  .example input[type="text"] {
    background-color: #f8f9fa;
    border-radius: 10px;
  }
    .danger {
    color: #fff;
    background-color: #dc3545;
    border-color: #dc3545;
    padding: 6px 12px;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.5;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    border-radius: 4px;
    display: inline-block;
    transition: all 0.15s ease-in-out;
  }

  .danger:hover {
    background-color: #c82333;
    border-color: #bd2130;
    text-decoration: none;
    color: #fff;
  }

  .danger:focus,
  .danger.focus {
    box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.5);
  }

  /* Add this new style for the "ADD SAFARI PACKAGE" link */
  .danger i {
    margin-left: 5px;
    font-size: 20px;
  }
</style>


<?php
include('includes/header.php');
?>

<div class="row">
  <div class="col-md-2">
    <h4>Packages</h4>
  </div>
    <div col-md-2>
      <h4><a href="general_info.php" class="danger" style="text-decoration: none;">ADD PACKAGE &nbsp; <i class="fa fa-plus-circle" style="font-size:20px"></i></a></h4>
  </div>
</div>
<hr id="line">
<div class="row" style="margin-bottom: 40px;">
  <div class="col-md-3">
    
  </div>
    <div class="col-md-3">
    
  </div>
    <div class="col-md-3">
    
  </div>
    <div class="col-md-3">

  <form class="example" action="/action_page.php" >
  <input type="text" placeholder="Search package" name="search2">
  <button type="submit" class="btn btn-danger"><i class="fa fa-search"></i></button>
</form>
    
  </div>

</div>

    <div class="container mt-5" style="width: 85%;">
      <table class="table table-sm">
        <tbody>

          <?php

          $db = new mysqli('localhost','siteyajof24_questuser','@tourquests#2024','siteyajof24_questdb')or die("Could not connect to mysql".mysqli_error($con));

$r = mysqli_query($db,"select * from tour where username='$email'");
while($rows = mysqli_fetch_array($r)){


    $id=$rows['id'];

          ?>

          <tr>
            <td><img src="<?=$rows['tour_cover'];?>" alt="Your Image" class="img-fluid" style="width: 60px;height: 60px;"></td>
            <td><?=$rows['tour_title'];?></td>
             <?php
              echo'
             <td><a href="preview/preview.php?&id='.$id.'"><i class="fas fa-eye"></i></a></td>';
               ?>
            <td>
               <?php
              echo'<a href="delete.php?&id='.$id.'" class="btn btn-danger float-end" style="font-size: 6px;"><i class="fas fa-trash"></i></a>
              <a href="edtit_tour.php?&id='.$id.'" class="btn btn-primary float-end" style="font-size: 6px;margin-right: 5px;"><i class="fas fa-edit"></i></a>';
               ?>
            </td>
          </tr>

          <?php
           }
          ?>

        </tbody>
      </table>
    </div>
    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/js/bootstrap.bundle.min.js"></script>





