
	(function($){

		$.fn.radiolabel = function(options){

			var opts = $.extend( {}, $.fn.radiolabel.defaults, options );

			return this.each(function(){
				var parent = $(this);
				
				var plugin = {
					init: function(){
						this.setEvents();
					},

					setEvents: function(){
						var self = this;
						parent.find("input[type=radio]").click(function(e){
							self.removeClasses();
							$(this).parents("label").addClass("checked");
						});
					},

					removeClasses: function(){
						parent.find("label").removeClass("checked");
					}
				}

				plugin.init();

			});
		};

		$.fn.radiolabel.defaults = {

		};

	})(jQuery);

	$(document).ready(function(){
		$(".input-radio-group").radiolabel();
	});