<?php
$db = new mysqli(
  'localhost', 'packthetripaz_packuser', '@trippacks#2024', 'packthetripaz_packdb'
) or die("Could not connect to MySQL: " . mysqli_error($con));

if (isset($_GET['isChecked']) && $_GET['isChecked'] === 'true') {
  $loopCount = 1;
} else {
  $loopCount = 0;
}

$d = isset($_GET['d']) ? $_GET['d'] : $d;

ob_start();
?>
 <form action="" method="post" enctype="multipart/form-data" style="margin-top: 50px;">
<?php
for ($i = 0; $i < $d + $loopCount; $i++) {
  ?>
  <button class="aco" style="border-radius: 25px;"><?php echo ($i === 0) ? 'Arrival Day' : 'Day ' . ($i);?></button>

<div class="panelo">
  <label for="name" style="margin-bottom: 25px;margin-top: 20px;">Title for this part of the tour:</label>

  <div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">
    <strong>Special Guidelines</strong>
  <ul>
    <li>As an airport transfer is not included, please mention if clients will be picked from their hotel or should make their own way to a designated meeting point from where the tour will start.</li>
  </ul>

   <strong>Default Guidelines</strong>
   <ul>
     <li>Don't mention the number of days in the text box (e.g. Day 1). Our system adds it automatically when you select the number of days</li>
     <li>Only group days in the drop down menu if clients stay in the same accommodation during those days.</li>
     <li>You cannot group the last day because it does not include accommodation.</li>
   </ul>

</div>

     <div class="title-section" style="width: 100%;"> <input type="text" name="t1[]" value="<?php echo ($i === 0) ? 'Arrival Day' : 'Day ' . ($i);?>" style="width: 15%;float: left;" ><input type="text" id="name" name="title[]" style="width: 85%;float: right;" required></div>
      
      <label for="email" style="margin-bottom: 25px;margin-top: 20px;">What destination is the highlight of this part of the tour:</label>

<div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">
      <strong>Guidelines</strong>
   <ul>
     <li>List only one park, attraction, city or other destination (only enter the destination name, don't add extra words such as 'city' or 'town').</li>
     <li>Don't list accommodations, countries, activities or transfers (e.g. Arusha to Ngorongoro). For transfers only list the destination.</li>
     <li>he destination you provide here will be used as keyword for this tou</li>
   </ul>
 </div>
     
<?php
$query = "SELECT DISTINCT caption FROM tour_image";
$result = mysqli_query($db, $query);
$options = '';
while ($row = mysqli_fetch_assoc($result)) {
    $destination = $row['caption'];
    $option .= '<option value="' . $destination . '">';
}
?>

<?php 
if($tour=='climb')
{
?>
<label for="input3">Day <?=$i;?>: Hiking from ... To</label>
<input type="text" id="search<?=$i;?>" list="destination" name="search[]" maxlength="100" required>

<?php
}
else
{
  ?>

  <label for="input3">Places to be visited on day <?=$i;?></label>
<input type="text" id="search<?=$i;?>" list="destination" name="search[]" maxlength="100" required>

<?php
}
?>


<datalist id="destination">
    <?php echo $option;?>
</datalist>
<div id="search-results<?=$i;?>"></div><br>
<label for="bio" style="margin-bottom: 25px;margin-top: 20px;">Included accommodation</label>
  <div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">

      <strong>Guidelines</strong>
   <ul>
     <li>Don't list upgrades for an extra cost or alternative accommodation at the same rate, you can mention them in the description</li>

     <li>You can include a note in the 'notes' section that says: "If an accommodation is fully booked, we'll suggest a comparable alternative."</li>

     <li>Why list accommodations by name and website?</li>
   </ul>
 </div>
<div class="radio-group">
<label for="radio-btn1"> <input type="radio" value="Accommodation" name="content[<?=$i;?>]" onclick="showContent('content1<?=$i;?>')">
Accommodation</label>
</div>

<!-- HTML code for div elements to show/hide -->
<div id="content1<?=$i;?>" style="display:none;">
  <div class="input-container">

    <?php

$query = "SELECT * FROM accommodation";
$result = mysqli_query($db, $query);
$options = '';
while ($row = mysqli_fetch_assoc($result)) {
    $options .= '<option value="' . $row['hotel_name'] . '">';
}
?>
<label for="input3">Name:</label>
  <input type="text" id="input3" list="accommodation" name="hotel[]">
  <datalist id="accommodation">
<?php echo $options;?>
</datalist>
</div>
</div>
 <label for="bio" style="margin-bottom: 25px;margin-top: 20px;">Included meals and drinks (Select all that apply)</label>


 <div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">

      <strong>Guidelines info</strong>
   <ul>
     <li>Optional activities and accommodation upgrades have to be clearly labeled as 'optional for an extra cost'</li>
   </ul>
 </div>


  <div class="container1">
    <div class="column1">
      <ul>
        <li><input type="checkbox" name="includes_<?php echo $i; ?>[]" value="Breakfast">&nbsp;&nbsp;Breakfast</li>
        <li><input type="checkbox" name="includes_<?php echo $i; ?>[]" value="Lunch">&nbsp;&nbsp;Lunch</li>
        <li><input type="checkbox" name="includes_<?php echo $i; ?>[]" value="Dinner">&nbsp;&nbsp;Dinner</li>
      </ul>
    </div>
    <div class="column1">
      <ul>
        <li><input type="checkbox" name="includes_<?php echo $i; ?>[]" value="Drinking water">&nbsp;&nbsp;Drinking water</li>
        <li><input type="checkbox" name="includes_<?php echo $i; ?>[]" value="Non-alcoholic drinks (such as soda)">&nbsp;&nbsp;Non-alcoholic drinks (such as soda)</li>
        <li><input type="checkbox" name="includes_<?php echo $i; ?>[]" value="Beer and wine">&nbsp;&nbsp;Beer and wine</li>
        <li><input type="checkbox" name="includes_<?php echo $i; ?>[]" value="Spirits/liquor">&nbsp;&nbsp;Spirits/liquor</li>
      </ul>
    </div>
  </div>



      <label for="bio" style="margin-bottom: 25px;margin-top: 20px;">Description for this part of the tour</label>
      <div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">
      <strong>Guidelines</strong>
   <ul>
     <li>Optional activities and accommodation upgrades have to be clearly labeled as 'optional for an extra cost'</li>

     <li>The description should be at least 250 and max. 1000 characters long.</li>
     <li>Don't include links or contact details.</li>
     <li>Write correct English: if English is not your first language we strongly recommend installing the free Grammarly browser extension and restarting your web browser. Once installed, Grammarly will check the text that you type in the tours form and offer suggestions to fix any errors.</li>
   </ul>
 </div>
<textarea id="bio" name="bio[]" maxlength="1000" required></textarea>
      <span id="grammar-check" class="error"></span>
</div>


  <?php
}
?>
<input type="submit" value="Submit" style="margin-top: 20px;" name="save">
</form>

<?php
$html = ob_get_clean();
echo $html;
?>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

