<?php
ini_set('session.gc_maxlifetime', 3600);
$cookieParams = session_get_cookie_params();
session_set_cookie_params([
    'lifetime' => 3600,
    'path' => $cookieParams['path'],
    'domain' => $cookieParams['domain'],
    'secure' => $cookieParams['secure'],
    'httponly' => true
]);

session_start();
if (!isset($_SESSION['email'])) {
    header("Location: login.php");
    exit();
}

$email = $_SESSION["email"];


if (isset($_GET['title']) && isset($_GET['day'])) {
    $t = urldecode($_GET['title']);
    $d = $_GET['day'];
}
$db = new mysqli('localhost','siteyajof24_questuser','@tourquests#2024','siteyajof24_questdb') or die("Could not connect to mysql" . mysqli_error($con));

$db1 = new mysqli(
'localhost','panelgotrip_africagouser','africago@2023#1','panelgotrip_africagodb') or die("Could not connect to mysql" . mysqli_error($con));

$r = mysqli_query($db,"select * from tour where username='$email' and tour_title='$t'");
while($rows = mysqli_fetch_array($r)){

  $id1=$rows['id'];
  $tour=$rows['tour_focus'];

}


if (isset($_POST['save'])) {
    $descriptions = $_POST['bio'];
    $loopCount = count($_POST['title']);

    for ($i = 1; $i <= $loopCount; $i++) {
        $title_id = $id1; 
        $t1 = $_POST['t1'][$i - 1];
        $title = $_POST['title'][$i - 1];
        $destination = $_POST['search'][$i - 1];
        $image = isset($_POST['select'][$i - 1]) ? $_POST['select'][$i - 1] : ""; 
        $hotel = $_POST['hotel'][$i - 1];
        $description = mysqli_real_escape_string($db, $descriptions[$i - 1]);
        $includes = isset($_POST['includes_' . $i]) ? implode(",", $_POST['includes_' . $i]) : "";

        $sql = "INSERT INTO day_wise (title_id, daywise, day, day_title, destination, image, hotel, included, description)
                VALUES ('$title_id', '$i', '$t1', '$title', '$destination', '$image', '$hotel', '$includes', '$description')";
        if ($db->query($sql) !== TRUE) {
            echo "Error: " . $sql . "<br>" . $db->error;
        }
    }

    if (isset($_POST['adding_arrival_day']) && $_POST['adding_arrival_day'] == "1") {
        $descriptions1 = $_POST['bio1'];
        $title_id1 = $id1; 
        $t2 = $_POST['t2'];
        $title1 = $_POST['title1'];
        $destination1 = $_POST['place'];
        $image1 = $_POST['select1']; 
        $hotel1 = $_POST['hotel1'];
        $description1 = mysqli_real_escape_string($db, $descriptions1);
        $includes1 = $_POST['include'];

        $sql1 = "INSERT INTO arrivalday (title_id, day, day_title, destination, image, hotel, included, description)
                VALUES ('$title_id1', '$t2', '$title1', '$destination1', '$image1', '$hotel1', '$includes1', '$description1')";

        if ($db->query($sql1) !== TRUE) {
            echo "Error: " . $sql1 . "<br>" . $db->error;
        }
    }

    if (isset($_POST['adding_departure_day']) && $_POST['adding_departure_day'] == "1") {
        $descriptions2 = $_POST['bio2'];
        $title_id2 = $id1; 
        $t3 = $_POST['t3'];
        $title2 = $_POST['title2'];
        $destination2 = $_POST['places'];
        $image2 = $_POST['select2']; 
        $hotel2 = $_POST['hotel2'];
        $description2 = mysqli_real_escape_string($db, $descriptions2);
        $includes2 = $_POST['include1'];

        $sql2 = "INSERT INTO departureday (title_id, day, day_title, destination, image, hotel, included, description)
                VALUES ('$title_id2', '$t3', '$title2', '$destination2', '$image2', '$hotel2', '$includes2', '$description2')";

        if ($db->query($sql2) !== TRUE) {
            echo "Error: " . $sql2 . "<br>" . $db->error;
        }
    }

    echo '<script>alert("Added successfully!"); window.location.href = "getting_there.php?id=' . $id1 . '";</script>';
}

?>


<!DOCTYPE html>
<html>
<head>
  <title>Day by Day Description</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">

<!-- jQuery library -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>

<!-- Latest compiled JavaScript -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
  <style>

    .box{
        border: 1px solid #000;
        padding: 15px;
        overflow-y: auto;
        height: 400px;
    }

    .aco{

   background-color: #eee;
  color: #444;
  cursor: pointer;
  padding: 18px;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  font-size: 15px;
  transition: 0.4s;
  margin-top: 40px;
    }

    .accordion {
  background-color: #eee;
  color: #444;
  cursor: pointer;
  padding: 18px;
  width: 100%;
  border: none;
  text-align: left;
  outline: none;
  font-size: 15px;
  transition: 0.4s;
  margin-top: 40px;
}

.active, .accordion:hover {
  background-color: #ccc; 
}

.panel {
  padding: 0 18px;
  display: none;
  background-color: white;
  overflow: hidden;
}
    fieldset {
      width: 900px;
      margin: auto;
    }

    label {
      display: block;
      margin-bottom: 8px;
      font-weight: bold;
    }

    input[type="text"], textarea {
      display: block;
      width: 100%;
      padding: 8px;
      border: 1px solid #ccc;
      border-radius: 4px;
      box-sizing: border-box;
      font-size: 16px;
      margin-bottom: 16px;
    }

    textarea {
        height: 200px;

    }

    input[type="submit"] {
      background-color: #4CAF50;
      color: white;
      padding: 12px 20px;
      border: none;
      border-radius: 4px;
      cursor: pointer;
      float: right;
    }

    input[type="submit"]:hover {
      background-color: #45a049;
    }

    .error {
      color: red;
      font-weight: bold;
    }

/* Position the image container (needed to position the left and right arrows) */
.container {
 width :900px;
 height: 100px;
}

/* Hide the images by default */
#s1{
  display: block;
}
#s2{
  display: none;
}

#co{
  height: 253px;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 72px;
  padding: 8px 12px;
  position: absolute;
  margin-left: 10%;
  margin-top: 100px;
}

/* Container for image text */
.caption-container {
  text-align: center;
  background-color: #222;
  padding: 2px 16px;
  color: white;
}

.row:after {
  content: "";
  display: table;
  clear: both;
}

/* Six columns side by side */
.column {
  float: left;
  width: 16.66%;
}

/* Add a transparency effect for thumnbail images */
.demo {
  opacity: 0.6;
}

.active,
.demo:hover {
  opacity: 1;
}

    .columns {

  width: 90%;
  
}

.column {
  flex: 1;
  margin: 0 10px;
  border: 1px solid #ccc;
  padding: 10px;
}

.row{
  width :100%;
  height: 100px;
}


#cm {
   
}

strong{
  color: red;
}

    .input-container {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-top: 20px;
}

.input-container label {
  display: flex;
  align-items: center;
}

.input-container input, select {
  height: 35px;
  border-radius: 5px;
  border: 1px solid #ccc;
  padding: 5px;
}

.radio-group {
  display: flex; 
  flex-direction: row; 
 
}

.radio-group label {
  margin-right: 20px; 
}

.radio-group input[type="radio"] {
  margin-right: 5px; 
}

input[type="radio"] {
  font-size: 40px;
}

  .container1 ul {
    list-style: none; 
    margin: 0; 
    padding: 0; 
  }
  
  .column1 {
    display: inline-block; 
    vertical-align: top; 
    width: 50%; 
  }
  
  .column1 ul li {
    margin-bottom: 5px; 
  }

.navbar {
    background-color: #fbfbfb;
    position: sticky;
    top: 0;
    width: 80%;
    z-index: 9999;
    margin-bottom: 50px;
    margin-left: 10%;
    }
    .navbar ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: space-around;
    }
    .navbar li {
    padding: 10px;
    }
    .navbar li a {
    
    text-decoration: none;
    }
    .navbar li a:hover {
    text-decoration: underline;
    }
    #preview {
    background-color: #ad2322;
    color: white;
    padding: 10px;
    margin-top: 20px;
    border: 1px solid #ddd;
    }
    .navbar {
    height: 80px;
    margin-top: 10px;
    margin-bottom: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px dashed #000;
    }
    .sticky-container {
  position: sticky;
  top: 0;
  z-index: 999; 
}

#destination option {
    height: 30px; 
    width: 700px;
    font-size: 16px;

  }

  input[type="checkbox"] {
        transform: scale(1.5);
    }

    label {
        font-size: 16px; 
    }

    #myLink {
    display: inline-block;
    margin-top: 20px;
    margin-bottom: 20px;
    padding: 10px;
    background-color: #3498db;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    cursor: pointer;
    }
    #myLink:hover {
    background-color: #2980b9;
    }

    #myprice {
    display: inline-block;
    margin-top: 20px;
    margin-bottom: 20px;
    padding: 10px;
    background-color: #3498db;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    cursor: pointer;
    }
    #myprice:hover {
    background-color: #2980b9;
    }

  </style>
</head>
<body>
  <?php
    include('includes/header.php');
    ?>
    <div class="sticky-container">
<nav class="navbar">
    <ul>
      
       <li><a href="#">General Information</a></li>
        <li><a href="#">Private/Group</a></li>
        <li><a href="#">Activities</a></li>
        <li><a href="#">Getting There</a></li>
        <li><a href="#">Day-by-Day</a></li>
        <li><a href="#">Dates &amp; Rates</a></li>
        <li><a href="#">Inclusions</a></li>
        <li><a href="#">Tour Photo</a></li>
        <li><a href="#" id="preview">Tour Preview</a></li>
    </ul>
</nav>
</div>

 <fieldset>
 <legend>Day by day description</legend>

<div id="form-container">
 <form action="" method="post" enctype="multipart/form-data" style="margin-top: 50px;">
   <div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">

      <strong>Guidelines</strong>
   <ul>
     <li>If your package contain arrival day click button below </li>
   </ul>
 </div>

       <button class="show-button" id="myprice" style="border-radius: 25px;height: 40px;" name="arrival_day" onclick="toggleContent('panel1', 'adding_arrival_day', event)">Add Arrival day</button>

    <input type="hidden" name="adding_arrival_day" id="adding_arrival_day" value="0">
    
    <div class="panel1" style="display: none">

       <label for="name" style="margin-bottom: 25px;margin-top: 20px;">Title for this part of the tour:</label>

  <div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">
    <strong>Special Guidelines</strong>
  <ul>
    <li>As an airport transfer is not included, please mention if clients will be picked from their hotel or should make their own way to a designated meeting point from where the tour will start.</li>
  </ul>

   <strong>Default Guidelines</strong>
   <ul>
     <li>Don't mention the number of days in the text box (e.g. Day 1). Our system adds it automatically when you select the number of days</li>
     <li>Only group days in the drop down menu if clients stay in the same accommodation during those days.</li>
     <li>You cannot group the last day because it does not include accommodation.</li>
   </ul>

</div>

     <div class="title-section" style="width: 100%;"> <input type="text" name="t2" value="Arrival Day" style="width: 15%;float: left;"><input type="text" id="name" name="title1" style="width: 85%;float: right;"></div>
      
      <label for="email" style="margin-bottom: 25px;margin-top: 20px;">What destination is the highlight of this part of the tour:</label>

<div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">
      <strong>Guidelines</strong>
   <ul>
     <li>List only one park, attraction, city or other destination (only enter the destination name, don't add extra words such as 'city' or 'town').</li>
     <li>Don't list accommodations, countries, activities or transfers (e.g. Arusha to Ngorongoro). For transfers only list the destination.</li>
     <li>he destination you provide here will be used as keyword for this tou</li>
   </ul>
 </div>
     
<?php
$query = "SELECT DISTINCT caption FROM tour_image";
$result = mysqli_query($db1, $query);
$options = '';
while ($row = mysqli_fetch_assoc($result)) {
    $destination = $row['caption'];
    $option .= '<option value="' . $destination . '">';
}
?>


  <label for="input3">destination </label>
<input type="text" id="place" list="destination" name="place" maxlength="100">




<datalist id="destination">
    <?php echo $option;?>
</datalist>
<div id="dest"></div><br>
<label for="bio" style="margin-bottom: 25px;margin-top: 20px;">Included accommodation</label>
  <div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">

      <strong>Guidelines</strong>
   <ul>
     <li>Don't list upgrades for an extra cost or alternative accommodation at the same rate, you can mention them in the description</li>

     <li>You can include a note in the 'notes' section that says: "If an accommodation is fully booked, we'll suggest a comparable alternative."</li>

     <li>Why list accommodations by name and website?</li>
   </ul>
 </div>
<div class="radio-group">
<label for="radio-btn1"> <input type="radio" value="Accommodation" name="content" onclick="showContent('content1')">
Accommodation</label>
</div>

<!-- HTML code for div elements to show/hide -->
<div id="content1<?=$i;?>" style="display:none;">
  <div class="input-container">

    <?php

$query = "SELECT * FROM accommodation";
$result = mysqli_query($db1, $query);
$options = '';
while ($row = mysqli_fetch_assoc($result)) {
    $options .= '<option value="' . $row['hotel_name'] . '">';
}
?>
<label for="input3">Name:</label>
  <input type="text" id="input3" list="accommodation" name="hotel1">
  <datalist id="accommodation">
<?php echo $options;?>
</datalist>
</div>
</div>
 <label for="bio" style="margin-bottom: 25px;margin-top: 20px;">Included meals and drinks (Select all that apply)</label>


 <div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">

      <strong>Guidelines info</strong>
   <ul>
     <li>Optional activities and accommodation upgrades have to be clearly labeled as 'optional for an extra cost'</li>
   </ul>
 </div>


<div class="container1">
  <div class="column1">
    <ul>
      <li><input type="checkbox" name="include" value="Breakfast">&nbsp;&nbsp;Breakfast</li>
      <li><input type="checkbox" name="include" value="Lunch">&nbsp;&nbsp;Lunch</li>
      <li><input type="checkbox" name="include" value="Dinner">&nbsp;&nbsp;Dinner</li>
    </ul>
  </div>
  <div class="column1">
    <ul>
      <li><input type="checkbox" name="include" value="Drinking water">&nbsp;&nbsp;Drinking water</li>
      <li><input type="checkbox" name="include" value="Non-alcoholic drinks (such as soda)">&nbsp;&nbsp;Non-alcoholic drinks (such as soda)</li>
      <li><input type="checkbox" name="include" value="Beer and wine">&nbsp;&nbsp;Beer and wine</li>
      <li><input type="checkbox" name="include" value="Spirits/liquor">&nbsp;&nbsp;Spirits/liquor</li>
    </ul>
  </div>
</div>



      <label for="bio" style="margin-bottom: 25px;margin-top: 20px;">Description for this part of the tour</label>
      <div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">

      <strong>Guidelines</strong>
   <ul>
     <li>Optional activities and accommodation upgrades have to be clearly labeled as 'optional for an extra cost'</li>

     <li>The description should be at least 250 and max. 1000 characters long.</li>
     <li>Don't include links or contact details.</li>
     <li>Write correct English: if English is not your first language we strongly recommend installing the free Grammarly browser extension and restarting your web browser. Once installed, Grammarly will check the text that you type in the tours form and offer suggestions to fix any errors.</li>
   </ul>
 </div>
      <textarea id="bio" name="bio1" maxlength="1000"></textarea>
      <span id="grammar-check" class="error"></span>


      
    </div>





 <?php

  for ($i = 1; $i <=  $d; $i++) {
    ?>
<button class="accordion" style="border-radius: 25px;">Day <?=$i;?></button>

<div class="panel">
  <label for="name" style="margin-bottom: 25px;margin-top: 20px;">Title for this part of the tour:</label>

  <div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">
    <strong>Special Guidelines</strong>
  <ul>
    <li>As an airport transfer is not included, please mention if clients will be picked from their hotel or should make their own way to a designated meeting point from where the tour will start.</li>
  </ul>

   <strong>Default Guidelines</strong>
   <ul>
     <li>Don't mention the number of days in the text box (e.g. Day 1). Our system adds it automatically when you select the number of days</li>
     <li>Only group days in the drop down menu if clients stay in the same accommodation during those days.</li>
     <li>You cannot group the last day because it does not include accommodation.</li>
   </ul>

</div>

     <div class="title-section" style="width: 100%;"> <input type="text" name="t1[]" value="Day <?=$i;?>" style="width: 10%;float: left;"><input type="text" id="name" name="title[]" style="width: 90%;float: right;" required></div>
      
      <label for="email" style="margin-bottom: 25px;margin-top: 20px;">What destination is the highlight of this part of the tour:</label>

<div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">
      <strong>Guidelines</strong>
   <ul>
     <li>List only one park, attraction, city or other destination (only enter the destination name, don't add extra words such as 'city' or 'town').</li>
     <li>Don't list accommodations, countries, activities or transfers (e.g. Arusha to Ngorongoro). For transfers only list the destination.</li>
     <li>he destination you provide here will be used as keyword for this tou</li>
   </ul>
 </div>
     
<?php
$query = "SELECT DISTINCT caption FROM tour_image";
$result = mysqli_query($db1, $query);
$options = '';
while ($row = mysqli_fetch_assoc($result)) {
    $destination = $row['caption'];
    $option .= '<option value="' . $destination . '">';
}
?>

<?php 
if($tour=='climb')
{
?>
<label for="input3">Day <?=$i;?>: Hiking from ... To</label>
<input type="text" id="search<?=$i;?>" list="destination" name="search[]" maxlength="100" required>

<?php
}
else
{
  ?>

  <label for="input3">Places to be visited on day <?=$i;?></label>
<input type="text" id="search<?=$i;?>" list="destination" name="search[]" maxlength="100" required>

<?php
}
?>


<datalist id="destination">
    <?php echo $option;?>
</datalist>
<div id="search-results<?=$i;?>"></div><br>
<label for="bio" style="margin-bottom: 25px;margin-top: 20px;">Included accommodation</label>
  <div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">

      <strong>Guidelines</strong>
   <ul>
     <li>Don't list upgrades for an extra cost or alternative accommodation at the same rate, you can mention them in the description</li>

     <li>You can include a note in the 'notes' section that says: "If an accommodation is fully booked, we'll suggest a comparable alternative."</li>

     <li>Why list accommodations by name and website?</li>
   </ul>
 </div>
<div class="radio-group">
<label for="radio-btn1"> <input type="radio" value="Accommodation" name="content[<?=$i;?>]" onclick="showContent('content1<?=$i;?>')">
Accommodation</label>
</div>

<!-- HTML code for div elements to show/hide -->
<div id="content1<?=$i;?>" style="display:none;">
  <div class="input-container">

    <?php

$query = "SELECT * FROM accommodation";
$result = mysqli_query($db1, $query);
$options = '';
while ($row = mysqli_fetch_assoc($result)) {
    $options .= '<option value="' . $row['hotel_name'] . '">';
}
?>
<label for="input3">Name:</label>
  <input type="text" id="input3" list="accommodation" name="hotel[]">
  <datalist id="accommodation">
<?php echo $options;?>
</datalist>
</div>
</div>
 <label for="bio" style="margin-bottom: 25px;margin-top: 20px;">Included meals and drinks (Select all that apply)</label>


 <div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">

      <strong>Guidelines info</strong>
   <ul>
     <li>Optional activities and accommodation upgrades have to be clearly labeled as 'optional for an extra cost'</li>
   </ul>
 </div>


<div class="container1">
  <div class="column1">
    <ul>
      <li><input type="checkbox" name="includes_<?php echo $i; ?>[]" value="Breakfast">&nbsp;&nbsp;Breakfast</li>
      <li><input type="checkbox" name="includes_<?php echo $i; ?>[]" value="Lunch">&nbsp;&nbsp;Lunch</li>
      <li><input type="checkbox" name="includes_<?php echo $i; ?>[]" value="Dinner">&nbsp;&nbsp;Dinner</li>
    </ul>
  </div>
  <div class="column1">
    <ul>
      <li><input type="checkbox" name="includes_<?php echo $i; ?>[]" value="Drinking water">&nbsp;&nbsp;Drinking water</li>
      <li><input type="checkbox" name="includes_<?php echo $i; ?>[]" value="Non-alcoholic drinks (such as soda)">&nbsp;&nbsp;Non-alcoholic drinks (such as soda)</li>
      <li><input type="checkbox" name="includes_<?php echo $i; ?>[]" value="Beer and wine">&nbsp;&nbsp;Beer and wine</li>
      <li><input type="checkbox" name="includes_<?php echo $i; ?>[]" value="Spirits/liquor">&nbsp;&nbsp;Spirits/liquor</li>
    </ul>
  </div>
</div>



      <label for="bio" style="margin-bottom: 25px;margin-top: 20px;">Description for this part of the tour</label>
      <div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">

      <strong>Guidelines</strong>
   <ul>
     <li>Optional activities and accommodation upgrades have to be clearly labeled as 'optional for an extra cost'</li>

     <li>The description should be at least 250 and max. 1000 characters long.</li>
     <li>Don't include links or contact details.</li>
     <li>Write correct English: if English is not your first language we strongly recommend installing the free Grammarly browser extension and restarting your web browser. Once installed, Grammarly will check the text that you type in the tours form and offer suggestions to fix any errors.</li>
   </ul>
 </div>
      <textarea id="bio" name="bio[]" maxlength="1000" required></textarea>
      <span id="grammar-check" class="error"></span>
</div>

  <?php
  }
  ?>

<button class="show-button" id="myprice" style="border-radius: 25px;height: 40px;" name="departure_day" onclick="toggleDeparture('departure', 'adding_departure_day', event)">Add departure day</button><br>


    <input type="hidden" name="adding_departure_day" id="adding_departure_day" value="0">
    
    <div class="departure" style="display: none">
       <label for="name" style="margin-bottom: 25px;margin-top: 20px;">Title for this part of the tour:</label>

  <div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">
    <strong>Special Guidelines</strong>
  <ul>
    <li>As an airport transfer is not include1d, please mention if clients will be picked from their hotel or should make their own way to a designated meeting point from where the tour will start.</li>
  </ul>

   <strong>Default Guidelines</strong>
   <ul>
     <li>Don't mention the number of days in the text box (e.g. Day 1). Our system adds it automatically when you select the number of days</li>
     <li>Only group days in the drop down menu if clients stay in the same accommodation during those days.</li>
     <li>You cannot group the last day because it does not include1 accommodation.</li>
   </ul>

</div>

     <div class="title-section" style="width: 100%;"> <input type="text" name="t3" value="Departure Day" style="width: 15%;float: left;"><input type="text" id="name" name="title2" style="width: 85%;float: right;"></div>
      
      <label for="email" style="margin-bottom: 25px;margin-top: 20px;">What destination is the highlight of this part of the tour:</label>

<div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">
      <strong>Guidelines</strong>
   <ul>
     <li>List only one park, attraction, city or other destination (only enter the destination name, don't add extra words such as 'city' or 'town').</li>
     <li>Don't list accommodations, countries, activities or transfers (e.g. Arusha to Ngorongoro). For transfers only list the destination.</li>
     <li>he destination you provide here will be used as keyword for this tou</li>
   </ul>
 </div>
     
<?php
$query = "SELECT DISTINCT caption FROM tour_image";
$result = mysqli_query($db1, $query);
$options = '';
while ($row = mysqli_fetch_assoc($result)) {
    $destination = $row['caption'];
    $option .= '<option value="' . $destination . '">';
}
?>


  <label for="input3">destination </label>
<input type="text" id="places" list="destination" name="places" maxlength="100">




<datalist id="destination">
    <?php echo $option;?>
</datalist>
<div id="departure"></div><br>
<label for="bio" style="margin-bottom: 25px;margin-top: 20px;">include1d accommodation</label>
  <div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">

      <strong>Guidelines</strong>
   <ul>
     <li>Don't list upgrades for an extra cost or alternative accommodation at the same rate, you can mention them in the description</li>

     <li>You can include1 a note in the 'notes' section that says: "If an accommodation is fully booked, we'll suggest a comparable alternative."</li>

     <li>Why list accommodations by name and website?</li>
   </ul>
 </div>
<div class="radio-group">
<label for="radio-btn1"> <input type="radio" value="Accommodation" name="content" onclick="showContent('content1')">
Accommodation</label>
</div>

<!-- HTML code for div elements to show/hide -->
<div id="content1" style="display:none;">
  <div class="input-container">

    <?php

$query = "SELECT * FROM accommodation";
$result = mysqli_query($db, $query);
$options = '';
while ($row = mysqli_fetch_assoc($result)) {
    $options .= '<option value="' . $row['hotel_name'] . '">';
}
?>
<label for="input3">Name:</label>
  <input type="text" id="input3" list="accommodation" name="hotel2">
  <datalist id="accommodation">
<?php echo $options;?>
</datalist>
</div>
</div>
 <label for="bio" style="margin-bottom: 25px;margin-top: 20px;">include1d meals and drinks (Select all that apply)</label>


 <div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">

      <strong>Guidelines info</strong>
   <ul>
     <li>Optional activities and accommodation upgrades have to be clearly labeled as 'optional for an extra cost'</li>
   </ul>
 </div>


<div class="container1">
  <div class="column1">
    <ul>
      <li><input type="checkbox" name="include1" value="Breakfast">&nbsp;&nbsp;Breakfast</li>
      <li><input type="checkbox" name="include1" value="Lunch">&nbsp;&nbsp;Lunch</li>
      <li><input type="checkbox" name="include1" value="Dinner">&nbsp;&nbsp;Dinner</li>
    </ul>
  </div>
  <div class="column1">
    <ul>
      <li><input type="checkbox" name="include1" value="Drinking water">&nbsp;&nbsp;Drinking water</li>
      <li><input type="checkbox" name="include1" value="Non-alcoholic drinks (such as soda)">&nbsp;&nbsp;Non-alcoholic drinks (such as soda)</li>
      <li><input type="checkbox" name="include1" value="Beer and wine">&nbsp;&nbsp;Beer and wine</li>
      <li><input type="checkbox" name="include1" value="Spirits/liquor">&nbsp;&nbsp;Spirits/liquor</li>
    </ul>
  </div>
</div>

      <label for="bio" style="margin-bottom: 25px;margin-top: 20px;">Description for this part of the tour</label>
      <div style="background-color: #fbfbfb;margin-bottom: 28px;" id="cm">

      <strong>Guidelines</strong>
   <ul>
     <li>Optional activities and accommodation upgrades have to be clearly labeled as 'optional for an extra cost'</li>

     <li>The description should be at least 250 and max. 1000 characters long.</li>
     <li>Don't include1 links or contact details.</li>
     <li>Write correct English: if English is not your first language we strongly recommend installing the free Grammarly browser extension and restarting your web browser. Once installed, Grammarly will check the text that you type in the tours form and offer suggestions to fix any errors.</li>
   </ul>
 </div>
      <textarea id="bio" name="bio2" maxlength="1000"></textarea>
      <span id="grammar-check" class="error"></span>  
    </div>









      <input type="submit" value="Submit" style="margin-top: 20px;margin-bottom: 40px;" name="save">
    
  </form>
  </fieldset>
</div>

  <script>
    const bioInput = document.getElementById("bio");
    const grammarCheck = document.getElementById("grammar-check");

    bioInput.addEventListener("input", function() {
      const text = bioInput.value;
      const errors = checkGrammar(text);
      grammarCheck.textContent = errors.length > 0 ? "Please correct the following errors: " + errors.join(", ") : "";
    });

    function checkGrammar(text) {
      // perform grammar check and return an array of errors
      // example implementation using regex to check for "you're" vs "your" and "it's" vs "its"
      const errors = [];
      const regex1 = /\b(you're|your)\b/gi;
      const regex2 = /\b(it's|its)\b/gi;
      let match;
      while ((match = regex1.exec(text)) !== null) {
        if (match[1].toLowerCase() === "your") {
          errors.push("Use 'you're' instead of 'your'");
        }
      }
      while ((match = regex2.exec(text)) !== null) {
        if (match[1].toLowerCase() === "its") {
          errors.push("Use 'it's' instead of 'its'");
        }
      }
      return errors;
    }
  </script>
  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>


  <?php
  // Define the number of accordion items

  // Loop through the items and create an accordion for each one
  for ($i = 1; $i <=  $d; $i++) {
    ?>
<script>
    $(document).ready(function() {
        $("#search<?=$i;?>").on("keyup", function() {
            var searchQuery = $(this).val();
            $.ajax({
                url: "search.php",
                method: "POST",
                data: { query: searchQuery },
                success: function(data) {
                    $("#search-results<?=$i;?>").html(data);
                }
            });
        });
    });
</script>
  <?php
  }
  ?>





<script>
    function toggleContent(panelClass, inputElement, event) {
        event.preventDefault();
        var panel = document.querySelector("." + panelClass);
        var addingDayInput = document.getElementById(inputElement);

        if (panel.style.display === "none") {
            panel.style.display = "block";
            addingDayInput.value = "1";
        } else {
            panel.style.display = "none";
            addingDayInput.value = "0";
        }
    }

    function toggleDeparture(panelClass, inputElement, event) {
        event.preventDefault();
        var panel = document.querySelector("." + panelClass);
        var addingDayInput = document.getElementById(inputElement);

        if (panel.style.display === "none") {
            panel.style.display = "block";
            addingDayInput.value = "1";
        } else {
            panel.style.display = "none";
            addingDayInput.value = "0";
        }
    }

    function toggleAccordion() {
        var acc = document.getElementsByClassName("accordion");
        for (var i = 0; i < acc.length; i++) {
            acc[i].addEventListener("click", function() {
                this.classList.toggle("active");
                var panel = this.nextElementSibling;
                if (panel.style.display === "block") {
                    panel.style.display = "none";
                } else {
                    panel.style.display = "block";
                }
            });
        }
    }
    
    // Call the toggleAccordion function to initialize accordion toggling
    toggleAccordion();
</script>



<script>
function showContent(id) {
  var contents = document.querySelectorAll("[id^='content']");
  for (var i = 0; i < contents.length; i++) {
    if (contents[i].id === id) {
      contents[i].style.display = "block";
    } else {
      contents[i].style.display = "none";
    }
  }
}
</script>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<script>
    $(document).ready(function() {
        $(document).on("keyup", "[id^='search']", function() {
            var searchQuery = $(this).val();
            var loopIndex = $(this).attr("id").replace("search", "");
            $.ajax({
                url: "search.php",
                method: "POST",
                data: { query: searchQuery },
                success: function(data) {
                    $("#search-results" + loopIndex).html(data);
                }
            });
        });
    });
</script>
<script>
    function handleCheckboxChange(checkboxId) {
        const checkboxes = document.querySelectorAll('input[type="checkbox"]');
        checkboxes.forEach((checkbox) => {
            if (checkbox.id !== checkboxId) {
                checkbox.checked = false; // Uncheck other checkboxes
            }
        });
    }
</script>


<script>
    $(document).ready(function() {
        $("#place").on("keyup", function() {
            var destchQuery = $(this).val();
            $.ajax({
                url: "search3.php",
                method: "POST",
                data: { query: destchQuery },
                success: function(data) {
                    $("#dest").html(data);
                }
            });
        });
    });
</script>


<script>
    $(document).ready(function() {
        $("#places").on("keyup", function() {
            var depchQuery = $(this).val();
            $.ajax({
                url: "search4.php",
                method: "POST",
                data: { query: depchQuery },
                success: function(data) {
                    $("#departure").html(data);
                }
            });
        });
    });
</script>




</body>
</html>
