<?php
ini_set('session.gc_maxlifetime', 3600);
$cookieParams = session_get_cookie_params();
session_set_cookie_params([
    'lifetime' => 3600,
    'path' => $cookieParams['path'],
    'domain' => $cookieParams['domain'],
    'secure' => $cookieParams['secure'],
    'httponly' => true
]);

session_start();
if (!isset($_SESSION['email'])) {
    header("Location: login.php");
    exit();
}

$email = $_SESSION["email"];
$id = $_GET['id'];

// Replace these with your database connection details
$db_host = 'localhost';
$db_username = 'packthetripaz_packuser';
$db_password = '@trippacks#2024';
$db_name = 'packthetripaz_packdb';

$db = new mysqli($db_host, $db_username, $db_password, $db_name) or die("Could not connect to mysql" . mysqli_error($con));

if (isset($_POST['save'])) {
    $activities = isset($_POST['activities']) ? $_POST['activities'] : [];
    $act = implode(",", $activities);

    $vehicle = isset($_POST['vehicle']) ? $_POST['vehicle'] : [];
    $vcl = implode(",", $vehicle);

    $trans = isset($_POST['transportation']) ? $_POST['transportation'] : [];
    $tp = implode(",", $trans);

    $custom = $_POST['custom'] ?? ""; // Null coalescing operator for handling unset inputs

    if (!$db) {
        die("Connection failed: " . mysqli_connect_error());
    }

    $sql = "INSERT INTO activities (title_id, activities, game_vehicle, transportation, custom) 
            VALUES ('$id', '$act', '$vcl', '$tp', '$custom')";

    if (mysqli_query($db, $sql)) {
        header('location: dates_rates.php?&id=' . $id);
        exit();
    } else {
        echo "Error: " . $sql . "<br>" . mysqli_error($db);
    }

    mysqli_close($db);
}
?>
</style>
<!DOCTYPE html>
<html lang="en" class=" computer production ">
    <head>
        <meta name="csrf-token" content="qpD4mEQUJ5ClYZ1IQOu9CeETBJrBuBLilKg3D4VW" />
        <meta name="token_refresh" content="200" />
        
        <title>Add a Tour | Africatourbase Tour Operator Admin</title>
        <meta name="robots" content="noindex, nofollow, noodp">
        <script>
        var IE6lower = false;
        </script>
        <link href="css/tourbase.min.css" media="all" rel="stylesheet" type="text/css"/>
        <link href="css/glyphicons-halflings.css" media="all" rel="stylesheet" type="text/css" />
        <link href="css/shadowbox.css" media="all" rel="stylesheet" type="text/css"/>
        <link href="css/jqueryui.1.8.4.green.css" media="all" rel="stylesheet" type="text/css"/>
        <link href="css/reveal.css" media="all" rel="stylesheet" type="text/css"/>
        <link rel="stylesheet" href="css/backend.min.css">
        
        <script type="text/javascript" src="js/moment.2.24.0.js"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
        <script type="text/javascript" src="js/jqueryui.1.10.3.min.js"></script>
        <script type="text/javascript" src="js/validation.js"></script>
        <script type="text/javascript" src="js/jquery.metadata.js"></script>
        <script type="text/javascript" src="js/jquery.validate.js"></script>
        <script type="text/javascript" src="js/jquery.browser.min.js"></script>
        <script type="text/javascript" src="js/jquery.tinymce.js"></script>
        <script type="text/javascript" src="js/shadowbox.js"></script>
        <script type="text/javascript" src="js/jquery.uploadifive.min.js"></script>
        <script type="text/javascript" src="js/problem-box.js"></script>
        <script type="text/javascript" src="js/jquery.accordion.js"></script>
        <script type="text/javascript" src="js/jquery.radio.js"></script>
        <script type="text/javascript" src="js/jquery.remodal.min.js"></script>
        <script type="text/javascript" src="js/jquery.balloon.js"></script>
        <script type="text/javascript" src="js/daterangepicker.js"></script>
        <script type="text/javascript" src="js/foundation.min.js"></script>
        <script type="text/javascript" src="js/sb.js"></script>
        <script type="text/javascript" src="js/autocomplete.js"></script>
        <script type="text/javascript" src="js/tourbase.js"></script>
        <script type="text/javascript" src="js/safari.js"></script>
        
        <!--<script type="text/javascript">
        $sb.init("https://operators.AfricaGoTrips.com","https://www.AfricaGoTrips.com");
        </script>
        -->
        
        <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAqZO4KmgfblsNZl4mj_3aJilBsVFZ0Rco"></script>
        <script type="text/javascript" src="js/chosen.jquery.js"></script>
        <script type="text/javascript" src="js/chosenImage.jquery.js"></script>
        <script type="text/javascript" src="js/availability.js"></script>
        <script type="text/javascript" src="js/svg.js"></script>
        <script type="text/javascript" src="css/validation.js"></script>
        
        
        <style>
    .navbar {
    background-color: #fbfbfb;
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 9999;
    }
    .navbar ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: space-around;
    }
    .navbar li {
    padding: 10px;
    }
    .navbar li a {
    
    text-decoration: none;
    }
    .navbar li a:hover {
    text-decoration: underline;
    }
    #preview {
    background-color: #ad2322;
    color: white;
    padding: 10px;
    margin-top: 20px;
    border: 1px solid #ddd;
    }
    .navbar {
    height: 80px;
    margin-top: 10px;
    margin-bottom: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px dashed #000;
    }
    </style>
        
    </head>
    <?php
    include('includes/header.php');
    ?>
    <body class="    ">
        <div class="reveal-modal admin" id="reveal_modal" data-reveal></div>
        <div class="reveal-modal admin" id="reveal_modal_center" data-reveal></div>
        <div class="reveal-modal admin" id="reveal_modal_enquiry" data-reveal></div>
        <script language="JavaScript">
        // checks if there is modal content in the session and if so
        // uses a modal-center reveal to display this content
        processModalReveal();
        </script>
        <div id="surface">
            <div id="page" class="">
                <div id="Wrapper">
                    <div id="Middle">
                        <div id="Right">
                          
                            <div class="Yourinfo">
    <nav class="navbar">
    <ul>
        <?php
        echo'<li><a href="general_info.php?&id='.$id.'">General Information</a></li>
        <li><a href="private_group.php?&id='.$id.'">Private/Group</a></li>
        <li><a href="activities.php?&id='.$id.'">Activities</a></li>
        <li><a href="getting_there.php?&id='.$id.'">Getting There</a></li>
        <li><a href="Daydescription.php?&id='.$id.'">Day-by-Day</a></li>
        <li><a href="dates_rates.php?&id='.$id.'">Dates &amp; Rates</a></li>
        <li><a href="inclusions.php?&id='.$id.'">Inclusions</a></li>
        <li><a href="photo.php?&id='.$id.'">Tour Photo</a></li>
        <li><a href="preview/preview.php?&id='.$id.'" id="preview">Tour Preview</a></li>';?>
    </ul>
</nav>

                                <noscript>Javascript must be enabled for the correct page display</noscript>
                                <form class="tour-form" method="POST" action="" enctype="multipart/form-data" id="top">
                                    <fieldset id="activities">
                                        <h2>What <strong>wildlife viewing activities (and vehicle types)</strong> are included</h2>
                                        <div>
                                            <div class="guidelines">
                                                <h4>Guidelines</h4>
                                                <ul>
                                                    <li>Don't select activities or vehicle types that are optional (all selected should be included for the rate advertised and used on this tour).</li>
                                                    <li>If a shared group tour uses different vehicle types, depending on group size, you should ONLY select the option that applies to the largest group size.</li>
                                                </ul>
                                            </div>
                                            <input type="checkbox" name="activities" id="activities_none" data-expl="This option is disabled because the selected main focus indicates that this tour includes wildlife-viewing activities" value="None of the wildlife viewing activities below are included"><label for="activities_none">None of the wildlife viewing activities below are included</label>
                                            <hr class="or" />
                                            <ul class="list">
                                                <li>
                                                    <input type="checkbox" name="activities[]" id="activities_gamedrive" value="Game drives"><label for="activities_gamedrive">Game drives</label><br />
                                                    <input type="checkbox" class="indent" name="vehicle[]" id="activities_opensided" value="Open-sided 4x4 vehicle"><label for="activities_opensided">Open-sided 4x4 vehicle<a href="#" class="help camera image" title="<img src='/images/tourform/open-sided-4x4-vehicle.jpg' />">help</a></label><br />
                                                    <input type="checkbox" class="indent" name="vehicle[]" id="activities_popup44" value="Pop-up roof 4x4 vehicle"><label for="activities_popup44">Pop-up roof 4x4 vehicle<a href="#" class="help camera image" title="<img src='/images/tourform/pop-up-roof-4x4-vehicle.jpg' />">help</a></label><br />
                                                    <input type="checkbox" class="indent" name="vehicle[]" id="activities_popupminivan" value="Pop-up roof minivan <span>(2WD or 4x4)"><label for="activities_popupminivan">Pop-up roof minivan <span>(2WD or 4x4)</span><a href="#" class="help camera image" title="<img src='/images/tourform/pop-up-roof-minivan.jpg' />">help</a></label><br />
                                                    <input type="checkbox" class="indent" name="vehicle[]" id="activities_normal44" value="Normal 4x4 vehicle <span>(closed sides and roof)"><label for="activities_normal44">Normal 4x4 vehicle <span>(closed sides and roof)</span><a href="#" class="help camera image" title="<img src='/images/tourform/normal-4x4-vehicle.jpg' />">help</a></label><br />
                                                    <input type="checkbox" class="indent" name="vehicle[]" id="activities_minivan" value="Minivan"><label for="activities_minivan">Minivan<a href="#" class="help camera image" title="<img src='/images/tourform/minivan.jpg' />">help</a></label><br />
                                                    <input type="checkbox" class="inactive indent" name="vehicle[]" id="activities_overland" data-expl="Overland truck is disabled because it isn't selected as main focus of this tour" value="Overland safari truck"><label for="activities_overland">Overland safari truck<a href="#" class="help camera image" title="<img src='/images/tourform/overland-safari-truck.jpg' />">help</a></label><br />
                                                    <input type="checkbox" class="inactive indent" name="vehicle[]" id="activities_selfdrive" data-expl="Self drive is disabled because it isn't selected as main focus of this tour" value="Self drive"><label for="activities_selfdrive">Self drive</label><br />
                                                    <input type="checkbox" name="activities[]" id="activities_night" value="Evening/night game drives"><label for="activities_night">Evening/night game drives</label><br />
                                                    <input type="checkbox" name="activities[]" id="activities_balloon" value="Hot air balloon safari (costs must be included in tour rate)"><label for="activities_balloon">Hot air balloon safari <span>(costs must be included in tour rate)</span><a href="#" class="help camera image" title="<img src='/images/tourform/balloon-safari.jpg' />">help</a></label><br />
                                                </li>
                                                <li>
                                                    <input type="checkbox" name="activities[]" id="activities_birding" value="Specialized birding (with a professional birding guide)"><label for="activities_birding">Specialized birding <span>(with a professional birding guide)</span></label><br />
                                                    <input type="checkbox" name="activities[]" id="activities_canoe" data-expl="Canoe/Mokoro is disabled because it isn't selected as main focus of this tour" value="Canoe/Mokoro safaris"><label for="activities_canoe">Canoe/Mokoro safaris<a href="#" class="help camera image" title="<img src='/images/tourform/canoe-mokoro-safaris.jpg' />">help</a></label><br />
                                                    <input type="checkbox" name="activities[]" id="activities_boat" value="Boat trip"><label for="activities_boat">Boat trip<a href="#" class="help camera image" title="<img src='/images/tourform/boat-trip.jpg' />">help</a></label><br />
                                                    <input type="checkbox" name="activities[]" id="activities_walking" value="Walking safaris (with an armed guide)"><label for="activities_walking">Walking safaris <span>(with an armed guide)</span><a href="#" class="help camera image" title="<img src='/images/tourform/walking-safari.jpg' />">help</a></label><br />
                                                    <input type="checkbox" name="activities[]" id="activities_nature" value="Nature hikes/walks"><label for="activities_nature">Nature hikes/walks</label><br />
                                                    <input type="checkbox" name="activities[]" id="activities_mountainbike" value="Cycling safaris"><label for="activities_mountainbike">Cycling safaris</label><br />
                                                    <input type="checkbox" class="inactive" name="activities[]" id="activities_gorilla" data-expl="Gorilla trekking is disabled because it isn't selected as main focus of this tour" value="Gorilla trekking at least one gorilla permit must be included)"><label for="activities_gorilla" >Gorilla trekking <span>(at least one gorilla permit must be included)</span></label><br />
                                                    <input type="checkbox" class="inactive" name="activities[]" id="activities_chimp" data-expl="Chimp trekking is disabled because it isn't selected as main focus of this tour" value="Chimp trekking (all chimp permits must be included)"><label for="activities_chimp">Chimp trekking <span>(all chimp permits must be included)</span></label><br />
                                                    <input type="checkbox" class="inactive" name="activities[]" id="activities_horse" data-expl="Horseback safari is disabled because it isn't selected as main focus of this tour" value="Horseback safaris"><label for="activities_horse">Horseback safaris<a href="#" class="help camera image" title="<img src='/images/tourform/horseback-safaris.jpg' />">help</a></label><br />
                                                </li>
                                            </ul>
                                        </div>
                                    </fieldset>
                                    <fieldset id="transportation">
                                        <h2>What <strong>transportation types</strong> are used to travel between destinations on this tour</h2>
                                        <div>
                                            <div class="guidelines">
                                                <h4>Guidelines</h4>
                                                <ul>
                                                    <li>Don't select transportation types that are optional (all selected should be included for the rate advertised and used on this tour).</li>
                                                    <li>If a shared group tour uses different vehicle types, depending on group size, you should ONLY select the option that applies to the largest group size.</li>
                                                    <li>Flights during the tour must be included. You can include a note saying: <i>"Rates include a fixed budget for flights. If flights cost more, your quote will reflect this."</i></li>
                                                </ul>
                                            </div>
                                            <ul class="list">
                                                <li>
                                                    <input type="checkbox" name="transportation[]" id="transportation_opensided" value="Open-sided 4x4 vehicle"><label for="transportation_opensided">Open-sided 4x4 vehicle<a href="#" class="help camera image" title="<img src='/images/tourform/open-sided-4x4-vehicle.jpg' />">help</a></label><br />
                                                    <input type="checkbox" name="transportation[]" id="transportation_popup44" value="Pop-up roof 4x4 vehicle"><label for="transportation_popup44">Pop-up roof 4x4 vehicle<a href="#" class="help camera image" title="<img src='/images/tourform/pop-up-roof-4x4-vehicle.jpg' />">help</a></label><br />
                                                    <input type="checkbox" name="transportation[]" id="transportation_popupminivan" value="Pop-up roof minivan (2WD or 4x4)"><label for="transportation_popupminivan">Pop-up roof minivan <span>(2WD or 4x4)</span><a href="#" class="help camera image" title="<img src='/images/tourform/pop-up-roof-minivan.jpg' />">help</a></label><br />
                                                    <input type="checkbox" name="transportation[]" id="transportation_normal44" value="Normal 4x4 vehicle (closed sides and roof)"><label for="transportation_normal44">Normal 4x4 vehicle <span>(closed sides and roof)</span><a href="#" class="help camera image" title="<img src='/images/tourform/normal-4x4-vehicle.jpg' />">help</a></label><br />
                                                    <input type="checkbox" name="transportation[]" id="transportation_minivan" value="Minivan"><label for="transportation_minivan">Minivan<a href="#" class="help camera image" title="<img src='/images/tourform/minivan.jpg' />">help</a></label><br />
                                                    <input type="checkbox" name="transportation[]" id="transportation_bus" value="Bus"><label for="transportation_bus">Bus<a href="#" class="help camera image" title="<img src='/images/tourform/bus.jpg' />">help</a></label><br />
                                                    <input type="checkbox" name="transportation[]" id="transportation_hiking" value="Walking (on walking safaris or multi-day hikes)"><label for="transportation_hiking">Walking <span>(on walking safaris or multi-day hikes)</span></label><br />
                                                    <input type="checkbox" name="transportation[airtransfer]" id="transportation_airtransfer" value="Air transfer (flight costs must be included in tour rate)"><label for="transportation_airtransfer">Air transfer <span>(flight costs must be included in tour rate)</span></label><br />
                                                </li>
                                                <li>


                                                    <input type="checkbox" name="transportation[]" id="transportation_train" value="Train"><label for="transportation_train">Train</label><br />
                                                    <input type="checkbox" name="transportation[]" id="transportation_boat" value="Boat"><label for="transportation_boat">Boat</label><br />
                                                    <input type="checkbox" class="inactive" name="transportation[]" id="transportation_canoe" data-expl="Canoe/Mokoro is disabled because it isn't selected as main focus of this tour" value="Canoe/Mokoro"><label for="transportation_canoe">Canoe/Mokoro</label><br />
                                                    <input type="checkbox" class="inactive" name="transportation[]" id="transportation_overland" data-expl="Overland truck is disabled because it isn't selected as main focus of this tour" value="Overland safari truck"><label for="transportation_overland">Overland safari truck</label><br />
                                                    <input type="checkbox" class="inactive" name="transportation[]" id="transportation_selfdrive" data-expl="Self drive is disabled because it isn't selected as main focus of this tour" value="Self drive"><label for="transportation_selfdrive">Self drive</label><br />
                                                    <input type="checkbox" class="inactive" name="transportation[]" id="transportation_horse" data-expl="Horseback is disabled because it isn't selected as main focus of this tour" value="Horseback"><label for="transportation_horse">Horseback</label><br />
                                                    <input type="checkbox" class="inactive" name="transportation[]" id="transportation_mountainbike" data-expl="Bicycle is disabled because it isn't selected as main focus of this tour" value="Bicycle"><label for="transportation_mountainbike">Bicycle</label><br />
                                                </li>
                                            </ul>
                                        </div>
                                    </fieldset>


                                    <fieldset id="customization" class="no-global-errors">
                                        <h2>Can the accommodations, destinations and length of this tour be <strong>customized</strong></h2>
                                        <div>
                                            <div class="guidelines">
                                                <h4>Guidelines</h4>
                                                <ul>
                                                    <li>Please only select 'Yes' if clients can request any accommodation or destination in the countries visited on this tour.</li>
                                                </ul>
                                            </div>
                                            <input type="radio" name="custom" id="customizable-no" value="No,the accommodations, destinations and length of this tour cannot be customized"><label for="customizable-no"><b>No,</b> <span>the accommodations, destinations and length of this tour cannot be customized</span></label><br />
                                            <input type="radio" name="custom" id="customizable-yes" value="Yes,the accommodations, destinations and length of this tour can be customized"><label for="customizable-yes"><b>Yes,</b> <span>the accommodations, destinations and length of this tour can be customized</span></label><br />
                                        </div>
                                    </fieldset>








                                    <input type="submit" name="save" value="Continue" class="sb-button large button1652012 bottom-submit-btn" />
                                    
                                </form>
                                <script type="text/javascript">
                                var safari_id = '0';
                                var operator_id = '5067';
                                </script>
                            </div>
                        </div>
                    </div>
                    <div id="confirmbox" style="display:none"></div>
                    <div class="clr"></div>
                </div>
                <div class="row-container footer-container">
                    <div class="footer">
                        <ul class="links">
                            <li>
                                <span>&copy; 2023 Africagotrip</span>
                                <span class="sep"> - </span>
                            </li>
                            
                            
                        </ul>
                    </div>
                </div>
            </div>
            <div class="problem-box-holder">
                <div class="problem-box">
                    <div class="form">
                        <a href="#" class="open-button">
                            Report a problem
                        </a>
                        <div class="row collapsed">
                            <h3>
                            Report a Problem
                            <em>*All fields are required</em>
                            </h3>
                        </div>
                        <form action="" method="post">
                            <input type="hidden" name="operator_id" value="5067" />
                            <input type="hidden" name="operator_name" value="Burigi Chato Safaris" />
                            <input type="hidden" name="useragent" value="Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/109.0.0.0 Safari/537.36" />
                            <input type="hidden" name="ipaddress" value="41.59.43.125" />
                            <input type="hidden" name="url" value="https://operators.AfricaGoTrips.com/safari/add" />
                            <legend>
                                Report a problem
                            </legend>
                            <div class="row clearfix">
                                <label class="field-label inline">
                                    Name
                                </label>
                                <div class="input-container input-text">
                                    <input type="text" name="Name" /><span></span>
                                </div>
                            </div>
                            <div class="row clearfix">
                                <label class="field-label inline">
                                    Email
                                </label>
                                <div class="input-container input-text">
                                    <input type="text" name="Email" /><span></span>
                                </div>
                            </div>
                            <div class="row clearfix">
                                <label class="field-label inline">
                                    Issue
                                </label>
                                <div class="input-container input-radio">
                                    <span>
                                        <input class="checklabel" type="radio" name="issue" id="issue-bug" value="bug">
                                        <label for="issue-bug">Technical/Bug</label>
                                    </span>
                                    <span>
                                        <input class="checklabel" type="radio" name="issue" id="issue-accommodation" value="accommodation">
                                        <label for="issue-accommodation">Accommodation</label>
                                    </span>
                                    <span>
                                        <input class="checklabel" type="radio" name="issue" id="issue-other" value="other">
                                        <label for="issue-other">Other</label>
                                    </span>
                                    <span></span>
                                </div>
                            </div>
                            <div class="row clearfix no-padding-top">
                                <label class="field-label">
                                    Message<span></span>
                                </label>
                                <div class="input-container input-text">
                                    <textarea name="Message"></textarea>
                                </div>
                            </div>
                            <div class="row">
                                <button type="submit" class="sb-button submit">
                                <span>
                                    Send
                                </span>
                                </button>
                                <button class="sb-button grey btn-close btn-cancel small">
                                <span>
                                    Cancel
                                </span>
                                </button>
                            </div>
                        </form>
                        <div class="state success hidden">
                            <h3><img src="/images/check-success.png" />Your message has been sent</h3>
                            <p>
                                Thank you for reporting a problem. We're sorry if it resulted in any inconvenience and will get back
                                to you as soon as possible. If you have additional questions or remarks, you can contact us at <a href="mailto:support@AfricaGoTrips.com">support@AfricaGoTrips.com</a>.
                            </p>
                            <button class="sb-button btn-close-form">
                            <span>
                                Close
                            </span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </body>
    <script>
    var sb_version='1.0.85';
    var cookie_domain='AfricaGoTrips.com';
    var mvcAction = '';
    var function_avail_uncertain = true;
    mvcAction = "add";
    Shadowbox.init({
    // let's skip the automatic setup because we don't have any
    // properly configured link elements on the page
    //skipSetup: true
    players:  [ 'html'],
    onOpen: onShOpen,
    onClose: onShClose,
    modal: true
    });
    function onShOpen() {
    document.body.style.overflow = "hidden";
    return true;
    }
    function onShClose() {
    document.body.style.overflow = "auto";
    return true;
    }
    </script>
    <script>
    (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
    (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
    m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
    })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
    ga('create', 'UA-23211223-2', 'auto');
    ga('set', 'anonymizeIp', true);
    ga('send', 'pageview');
    </script>
    <!-- 0.22282290458679 / 33 q / 23 ch / 5 cm / sb-eu-web1 -->
</html>