<?php
ini_set('session.gc_maxlifetime', 3600);
session_start();
session_set_cookie_params(3600);
if (!isset($_SESSION['email'])) {
    header("Location: login.php"); 
    exit();
}
$email = $_SESSION["email"];

$id=$_GET['id'];

$db = new mysqli('localhost','siteyajof24_questuser','@tourquests#2024','siteyajof24_questdb') or die("Could not connect to mysql" . mysqli_error($db));

// If upload button is clicked ...
if (isset($_POST['save'])) {
    $rates = mysqli_real_escape_string($db, $_POST['rates']);
    $short = mysqli_real_escape_string($db, $_POST['shortnotice']);
    $within = mysqli_real_escape_string($db, $_POST['within']);
    $solo = mysqli_real_escape_string($db, $_POST['mmoja']);
    $children = mysqli_real_escape_string($db, $_POST['children']);
    $age = mysqli_real_escape_string($db, $_POST['range']);
    $childf = mysqli_real_escape_string($db, $_POST['childrenfree']);
    $childr = mysqli_real_escape_string($db, $_POST['childrenage']);
    $childa = mysqli_real_escape_string($db, $_POST['childrendiscountage']);
    $childa1 = mysqli_real_escape_string($db, $_POST['childrendiscount']);
    $maxg = mysqli_real_escape_string($db, $_POST['maxgroupsize']);
    $group = mysqli_real_escape_string($db, $_POST['maxgroupsizeformat']);
    $lowrates = mysqli_real_escape_string($db, $_POST['lowerrates']);
    $local = mysqli_real_escape_string($db, $_POST['localpay']);

    if (!$db) {
        die("Connection failed: " . mysqli_connect_error());
    }

    $sql = "INSERT INTO dates_rates (title_id, start_date, short_notice, start_within, solo, children, children_age, children_discount, children_free,children_lower, children_lowers, group_size, group_range, rates_group, local_payment) VALUES ('$id', '$rates', '$short', '$within', '$solo', '$children', '$age', '$childf', '$childr', '$childa', '$childa1', '$maxg', '$group', '$lowrates', '$local')";
    
    if (mysqli_query($db, $sql)) {
        // Check if a record with the given $id already exists in the table
        $checkSql = "SELECT * FROM dates_rates WHERE title_id = '$id'";
        $result = mysqli_query($db, $checkSql);
        $numRows = mysqli_num_rows($result);

        if ($numRows > 0) {
            // If the record exists, perform an UPDATE query
            $sql = "UPDATE dates_rates SET 
                    start_date = '$rates', 
                    short_notice = '$short', 
                    start_within = '$within', 
                    solo = '$solo', 
                    children = '$children', 
                    children_age = '$age', 
                    children_discount = '$childf', 
                    children_free = '$childr', 
                    children_lower = '$childa', 
                    children_lowers = '$childa1', 
                    group_size = '$maxg', 
                    group_range = '$group', 
                    rates_group = '$lowrates', 
                    local_payment = '$local' 
                    WHERE title_id = '$id'";

            if (mysqli_query($db, $sql)) {
                // If the UPDATE query is successful, update the tour_price table accordingly
                $deletePricesSql = "DELETE FROM tour_price WHERE title_id = '$id'";
                mysqli_query($db, $deletePricesSql);

                if ($rates == 'no') {
                    for ($i = 0; $i < count($_POST['start_date1']); $i++) {
                        $start_date = $_POST['start_date1'][$i];
                        $availability = $_POST['availability1'][$i];
                        $solo_price = $_POST['solo1'][$i];
                        $sharing_price = $_POST['share1'][$i];

                        $q = "INSERT INTO tour_price (title_id, start_date, availability, solo_price, sharing_price)
                                VALUES ('$id', '$start_date', '$availability', '$solo_price', '$sharing_price')";

                        if (!mysqli_query($db, $q)) {
                            echo "Error: " . $q . "<br>" . mysqli_error($db);
                        }
                    }
                } else {
                    for ($i = 0; $i < count($_POST['start_date']); $i++) {
                        $start_date = $_POST['start_date'][$i];
                        $availability = $_POST['availability'][$i];
                        $solo_price = $_POST['solo'][$i];
                        $sharing_price = $_POST['share'][$i];

                        $q = "INSERT INTO tour_price (title_id, start_date, availability, solo_price, sharing_price)
                                VALUES ('$id', '$start_date', '$availability', '$solo_price', '$sharing_price')";

                        if (!mysqli_query($db, $q)) {
                            echo "Error: " . $q . "<br>" . mysqli_error($db);
                        }
                    }
                }
            } else {
                echo "Error: " . $sql . "<br>" . mysqli_error($db);
            }
        } else {
            echo "Record with id=$id does not exist.";
        }
    } else {
        echo "Error: " . $sql . "<br>" . mysqli_error($db);
    }

    header('location: edit_dates_rates.php?&id=' . $id . '');

    mysqli_close($db);
}

$query = "SELECT * FROM dates_rates WHERE title_id='$id'";
$result = mysqli_query($db, $query);
while ($row = mysqli_fetch_assoc($result)) {
$date = $row['start_date'];
$notice = $row['short_notice'];
$w = $row['start_within'];
$solo1 = $row['solo'];
$child1 = $row['children'];
$childa = $row['children_age'];
$chlidd = $row['children_discount'];
$childf = $row['children_free'];
$childl = $row['children_lower'];
$gsize = $row['group_size'];
$grange = $row['group_range'];
$rgroup = $row['rates_group'];
$localp = $row['local_payment'];
}


?>







</style>
<!DOCTYPE html>
<html lang="en" class=" computer production ">
  <head>
    <meta name="csrf-token" content="qpD4mEQUJ5ClYZ1IQOu9CeETBJrBuBLilKg3D4VW" />
    <meta name="token_refresh" content="200" />
    
    <title>Add a Tour | Africatourbase Tour Operator Admin</title>
    <meta name="robots" content="noindex, nofollow, noodp">
    <script>
    var IE6lower = false;
    </script>
    <link href="css/tourbase.min.css" media="all" rel="stylesheet" type="text/css"/>
    <link href="css/glyphicons-halflings.css" media="all" rel="stylesheet" type="text/css" />
    <link href="css/shadowbox.css" media="all" rel="stylesheet" type="text/css"/>
    <link href="css/jqueryui.1.8.4.green.css" media="all" rel="stylesheet" type="text/css"/>
    <link href="css/reveal.css" media="all" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="css/backend.min.css">
    
    <script type="text/javascript" src="js/moment.2.24.0.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script type="text/javascript" src="js/jqueryui.1.10.3.min.js"></script>
    <script type="text/javascript" src="js/validation.js"></script>
    <script type="text/javascript" src="js/jquery.metadata.js"></script>
    <script type="text/javascript" src="js/jquery.validate.js"></script>
    <script type="text/javascript" src="js/jquery.browser.min.js"></script>
    <script type="text/javascript" src="js/jquery.tinymce.js"></script>
    <script type="text/javascript" src="js/shadowbox.js"></script>
    <script type="text/javascript" src="js/jquery.uploadifive.min.js"></script>
    <script type="text/javascript" src="js/problem-box.js"></script>
    <script type="text/javascript" src="js/jquery.accordion.js"></script>
    <script type="text/javascript" src="js/jquery.radio.js"></script>
    <script type="text/javascript" src="js/jquery.remodal.min.js"></script>
    <script type="text/javascript" src="js/jquery.balloon.js"></script>
    <script type="text/javascript" src="js/daterangepicker.js"></script>
    <script type="text/javascript" src="js/foundation.min.js"></script>
    <script type="text/javascript" src="js/sb.js"></script>
    <script type="text/javascript" src="js/autocomplete.js"></script>
    <script type="text/javascript" src="js/tourbase.js"></script>
    <script type="text/javascript" src="js/safari.js"></script>
    
    <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAqZO4KmgfblsNZl4mj_3aJilBsVFZ0Rco"></script>
    <script type="text/javascript" src="js/chosen.jquery.js"></script>
    <script type="text/javascript" src="js/chosenImage.jquery.js"></script>
    <script type="text/javascript" src="js/availability.js"></script>
    <script type="text/javascript" src="js/svg.js"></script>
    <script type="text/javascript" src="css/validation.js"></script>
    
    <style type="text/css">
    .field {
    margin-bottom: 20px;
    }
    .field label {
    display: inline-block;
    
    }
    .field input[type="text"],
    .field input[type="date"],
    .field select {
    width: 200px;
    height: 37px;
    padding: 5px;
    border-radius: 5px;
    border: 1px solid #ccc;
    }
    #default {
    margin-bottom: 20px;
    }
    .#default label {
    display: inline-block;
    width: 100px;
    font-weight: bold;
    }
    #default input[type="text"],
    #default input[type="date"],
    #default select {
    width: 200px;
    height: 37px;
    padding: 5px;
    border-radius: 5px;
    border: 1px solid #ccc;
    }
    .dateFields label {
    display: block;
    margin-bottom: 5px;
    }
    .rates label {
    margin-right: 10px;
    }
    .remove-button {
    margin-left: 10px;
    padding: 5px 10px;
    background-color: #ff4d4d;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    }
    .remove-button:hover {
    background-color: #e60000;
    }
    /* Style for the "Add Date" link */
    #myLink {
    display: inline-block;
    padding: 5px 10px;
    background-color: #4da6ff;
    color: #fff;
    border-radius: 5px;
    text-decoration: none;
    margin-bottom: 20px;
    }
    #myLink:hover {
    background-color: #007acc;
    }
    .dateFields label {
    display: block;
    margin-bottom: 5px;
    }
    .dateFields input {
    display: block;
    margin-bottom: 10px;
    }
    .rates label {
    display: block;
    margin-bottom: 5px;
    }
    .rates input {
    display: block;
    margin-bottom: 10px;
    }
    .form-group {
    display: inline-block;
    vertical-align: top;
    margin-right: 20px;
    margin-bottom: 10px;
    }
    .form-group label {
    display: block;
    margin-bottom: 5px;
    }
    .form-control {
    display: block;
    width: 80%;
    height: calc(1.5em + 0.75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    }
    .remove-button1 {
    display: inline-block;
    padding: 5px 10px;
    background-color: #e74c3c;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    }
    /* Styles for the add price button */
    #myprice {
    display: inline-block;
    margin-top: 20px;
    padding: 10px;
    background-color: #3498db;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    cursor: pointer;
    }
    #myprice:hover {
    background-color: #2980b9;
    }
    /* Styles for the dateprices container */
    .dateprices {
    margin-top: 10px;
    display: none;
    }
    .dateprices p {
    margin-bottom: 5px;
    }
    #submit{
    background-color: #ad2322; /* Green */
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
    height: 50px;
    }

    .navbar {
    background-color: #fbfbfb;
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 9999;
    }
    .navbar ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: space-around;
    }
    .navbar li {
    padding: 10px;
    }
    .navbar li a {
    
    text-decoration: none;
    }
    .navbar li a:hover {
    text-decoration: underline;
    }


    #preview {
  background-color: #ad2322;
  color: white;
  padding: 10px;
  margin-top: 20px;
  border: 1px solid #ddd;

}

.navbar {
  height: 80px;
  margin-top: 10px;
  margin-bottom: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px dashed #000;
}
    </style>
    
    
  </head>
  <?php
  include('includes/header.php');
  ?>
  <body class="    ">
    <div class="reveal-modal admin" id="reveal_modal" data-reveal></div>
    <div class="reveal-modal admin" id="reveal_modal_center" data-reveal></div>
    <div class="reveal-modal admin" id="reveal_modal_enquiry" data-reveal></div>
    <script language="JavaScript">
    // checks if there is modal content in the session and if so
    // uses a modal-center reveal to display this content
    processModalReveal();
    </script>
    <div id="surface">
      <div id="page" class="">
        <div id="Wrapper">
          <div id="Middle">
            <div id="Right">
              
              
              
              
              <div class="Yourinfo">        
 <nav class="navbar">
    <ul>
        <?php
        echo'<li><a href="edtit_tour.php?&id='.$id.'">General Information</a></li>
        <li><a href="edit_private_group.php?&id='.$id.'">Private/Group</a></li>
        <li><a href="edit_activities.php?&id='.$id.'">Activities</a></li>
        <li><a href="edit_getting_there.php?&id='.$id.'">Getting There</a></li>
        <li><a href="edit_daydescription.php?&id='.$id.'">Day-by-Day</a></li>
        <li><a href="edit_dates_rates.php?&id='.$id.'">Dates &amp; Rates</a></li>
        <li><a href="edit_inclusions.php?&id='.$id.'">Inclusions</a></li>
        <li><a href="edit_photo.php?&id='.$id.'">Tour Photo</a></li>
        <li><a href="preview/preview.php?&id='.$id.'" id="preview">Tour Preview</a></li>';?>
    </ul>
</nav>
                <form class="tour-form" method="POST" action="" enctype="multipart/form-data" id="top" data-val="/tours/t-preview"  >
                  
                  <fieldset id="datesrates" class="no-global-errors">
                    <h2 id="availability"><strong>Dates & Rates</strong></h2>
                    <div>
                      <br />
                      <h3 class="departuredates-title">Scheduled start dates <span>(Is this a scheduled tour with fixed start dates?)</span></h3>
                      <br />


                      <?php
           if ($date == 'no') {
            ?>


                      <input type="radio" name="rates"  value="no" onclick="showDiv('any')" value="No, this tour can start any day" checked><label for="fixeddates-no"><b>No,</b> <span>this tour can start any day</span></label><br />
                      <?php
                      } else {

                        ?>


                      <input type="radio" name="rates"  value="no" onclick="showDiv('any')" value="No, this tour can start any day"><label for="fixeddates-no"><b>No,</b> <span>this tour can start any day</span></label><br />
                      <?php
                      }

          if ($date == 'yes') {
            ?>

            <input type="radio" name="rates"  value="yes" onclick="showDiv('show')" value="Yes, this tour has fixed start dates" checked><label for="fixeddates-yes" ><b>Yes,</b> <span>this tour has fixed start dates</span></label><br/>

            <?php
                      } else {

                        ?>
                      
                      <input type="radio" name="rates"  value="yes" onclick="showDiv('show')" value="Yes, this tour has fixed start dates" ><label for="fixeddates-yes" ><b>Yes,</b> <span>this tour has fixed start dates</span></label><br/>

                      <?php
                      }

          ?>


                      <div id="show" style="display:none;">

<?php
$pricet = "SELECT * FROM tour_price WHERE title_id='$id'";
$resultprice = mysqli_query($db, $pricet);

 if ($date == 'yes') {
while ($rowprice = mysqli_fetch_assoc($resultprice)) {
  $dt=$rowprice['start_date'];
  $availablep=$rowprice['availability'];
  $price_solo=$rowprice['solo_price'];
  $price_share=$rowprice['sharing_price'];
                        ?>

                        <div id="default">
                          <label>Start date:</label>
                          <input type="date" name="start_date[]" value="<?=$dt;?>">
                          <label>Group Size:</label>
                          <input type="text" class="solo" name="availability[]" value="<?=$availablep;?>">
                          <div class="rates">
                            <label for="solo1">Solo traveler  price:</label>
                            <input type="text" class="solo" name="solo[]" value="<?=$price_solo;?>">
                            <label for="share1">Per person sharing  price:</label>
                            <input type="text" class="share" name="share[]" value="<?=$price_share;?>">
                          </div>
                        </div>

                        <?php
                      }
                    }
                    else{

                    }
                      ?>





                        <template id="field-template">
                        <div class="field">
                          <label>Start date:</label>
                          <input type="date" name="start_date[]" value="01/01/2022">
                          <label>Group Size:</label>
                          <input type="text" class="solo" name="availability[]">
                          <button class="remove-button" onclick="removeField(this)">Remove field</button>
                          <div class="dateFields" >
                            <label for="solo1">Solo traveler price:</label>
                            <input type="text" class="solo" name="solo[]">
                            <label for="share1">Per person sharing price:</label>
                            <input type="text" class="share" name="share[]">
                          </div>
                        </div>
                        </template>
                        <div id="fields">
                          <!-- Initially empty -->
                        </div>
                        <a href="#" id="myLink" onclick="addField()">Add Date</a><br><br>
                      </div>




                      <div id="any" style="display:none;">
                        

                        <?php
$pricet = "SELECT * FROM tour_price WHERE title_id='$id'";
$resultprice = mysqli_query($db, $pricet);
if ($date == 'no') {
while ($rowprice = mysqli_fetch_assoc($resultprice)) {
  $availablep=$rowprice['availability'];
  $price_solo=$rowprice['solo_price'];
  $price_share=$rowprice['sharing_price'];
                        ?>

                        <input type="hidden" name="start_date1[]" value="1 Jauary - 31 December">

                        <div id="part1">
                          <div class="form-group">
                            <label for="availability">Group Size:</label>
                           <input type="text" class="form-control solo" name="availability1[]" value="<?=$availablep;?>">
                          </div>
                          <div class="form-group">
                            <label for="solo">Solo traveler price:</label>
                            <input type="text" class="form-control solo" name="solo1[]" value="<?=$price_solo;?>">
                          </div>
                          <div class="form-group">
                            <label for="share1">Per person sharing price:</label>
                            <input type="text" class="form-control share" name="share1[]" value="<?=$price_share;?>">
                          </div>
                        </div>

                        <?php
                      }
                    }
                    else{

                    }
                      ?>
                        <template id="no-price">
                        <div class="no">
                          <input type="hidden" name="start_date1[]" value="1 Jauary - 31 December">
                          <div class="form-group">
                            <label for="availability">Group Size:</label>
                              <input type="text" class="form-control solo" name="availability1[]">
                          </div>
                          <div class="form-group">
                            <label for="solo">Solo traveler price:</label>
                            <input type="text" class="form-control solo" name="solo1[]">
                          </div>
                          <div class="form-group">
                             <label for="share1">Per person sharing price:</label>
                            <input type="text" class="form-control share" name="share1[]">
                          </div>
                          <button class="remove-button1" onclick="removeno(this)">Remove Fields</button>
                        </div>
                        </template>
                        <div id="prices">
                          <!-- Initially empty -->
                        </div>
                        <a href="#" id="myprice" onclick="addno()">Add Price</a><br><br>
                      </div>


                    <div class="shortnotice-block">
                      <br /><br />
                      <h3 class="shortnotice-title">Short notice requests <span>(Can this tour be booked on short notice?)</span></h3>
                      <br />
                      <div class="shortnotice-options">


                        <?php
           if ($notice == 'No this tour cannot be booked if clients want to start within') {
                      echo '<input type="radio" name="shortnotice" id="shortnotice-no" value="No this tour cannot be booked if clients want to start within"><label for="shortnotice-no"><b>No,</b> <span>this tour cannot be booked if clients want to start within <select name="within"><option value="'.$w.'">'.$w.'</option>
                        <option value="1 days">1 day</option>
                        <option value="2 days">2 days</option>
                        <option value="3 days">3 days</option>
                        <option value="4 days">4 days</option>
                        <option value="5 days">5 days</option>
                        <option value="6 days">6 days</option>
                        <option value="1 weeks">1 week</option>
                        <option value="2 weeks">2 weeks</option>
                        <option value="3 weeks">3 weeks</option>
                        <option value="4 weeks">4 weeks</option>
                        <option value="5 weeks">5 weeks</option>
                        <option value="6 weeks">6 weeks</option>
                        <option value="7 weeks">7 weeks</option>
                        <option value="8 weeks">8 weeks</option>
                        <option value="3 months">3 months</option>
                        <option value="4 months">4 months</option>
                        <option value="5 months">5 months</option>
                        <option value="6 months">6 months</option>
                      </select> from the day they requested a quote.</span></label><br />
                      <div class="shortnotice-hint hint warning arrow top">
                        <img src="/images/hint-lightbulb.png" alt="">
                        <span>
                          Please be aware that <strong>16%</strong> of all quote requests are from people who want to start their tour within <span>3 weeks</span>.
                        </span>
                      </div>';
                      } else {
                      echo '    <input type="radio" name="shortnotice" id="shortnotice-no" value="No this tour cannot be booked if clients want to start within"><label for="shortnotice-no"><b>No,</b> <span>this tour cannot be booked if clients want to start within <select name="within"><option value="0">-- Select --</option>
                        <option value="1 days">1 day</option>
                        <option value="2 days">2 days</option>
                        <option value="3 days">3 days</option>
                        <option value="4 days">4 days</option>
                        <option value="5 days">5 days</option>
                        <option value="6 days">6 days</option>
                        <option value="1 weeks">1 week</option>
                        <option value="2 weeks">2 weeks</option>
                        <option value="3 weeks">3 weeks</option>
                        <option value="4 weeks">4 weeks</option>
                        <option value="5 weeks">5 weeks</option>
                        <option value="6 weeks">6 weeks</option>
                        <option value="7 weeks">7 weeks</option>
                        <option value="8 weeks">8 weeks</option>
                        <option value="3 months">3 months</option>
                        <option value="4 months">4 months</option>
                        <option value="5 months">5 months</option>
                        <option value="6 months">6 months</option>
                      </select> from the day they requested a quote.</span></label><br />
                      <div class="shortnotice-hint hint warning arrow top">
                        <img src="/images/hint-lightbulb.png" alt="">
                        <span>
                          Please be aware that <strong>16%</strong> of all quote requests are from people who want to start their tour within <span>3 weeks</span>.
                        </span>
                      </div>';
                      }

          if ($notice == 'yes this tour can be booked if clients want to start on short notice') {
                      echo '<input type="radio" name="shortnotice" id="shortnotice-yes" value="yes this tour can be booked if clients want to start on short notice" checked><label for="shortnotice-yes"><b>Yes,</b> <span>this tour can be booked if clients want to start on short notice.</span></label><br />
                    </div>
                  </div>
                  <br /><br />

';
                      } else {
                      echo '<input type="radio" name="shortnotice" id="shortnotice-yes" value="yes this tour can be booked if clients want to start on short notice"><label for="shortnotice-yes"><b>Yes,</b> <span>this tour can be booked if clients want to start on short notice.</span></label><br />
                    </div>
                  </div>
                  <br /><br />

';
                      }

          ?>


                      






                  <h3 class="solotraveler-title">Solo travelers <span>(Can this tour be booked by solo travelers?)</span></h3>
                  <div class="guidelines singletraveler-gl1">
                    <h4>Guideline</h4>
                    <ul>
                      <li>You should only select 'Yes' if single travelers can join this tour even when they are the first to make a booking.</li>
                    </ul>
                  </div>
                  <br/>


                   <?php
           if ($solo1 == 'No this tour is unavailable for solo travelers') {
                      echo '<input type="radio" name="mmoja" id="solo-no" value="No this tour is unavailable for solo travelers" checked><label for="solo-no"><b>No,</b> <span>this tour is unavailable for solo travelers</span></label><br />
                  <div class="solotraveler-hint hint warning arrow top">
                    <img src="/images/hint-lightbulb.png" alt="">
                    <span>
                      Please be aware that <strong>16%</strong> of all quote requests are for solo travelers. By blocking these quote requests, you will miss out on this business.
                    </span>
                  </div>';
                      } else {
                      echo '<input type="radio" name="mmoja" id="solo-no" value="No this tour is unavailable for solo travelers"><label for="solo-no"><b>No,</b> <span>this tour is unavailable for solo travelers</span></label><br />
                  <div class="solotraveler-hint hint warning arrow top">
                    <img src="/images/hint-lightbulb.png" alt="">
                    <span>
                      Please be aware that <strong>16%</strong> of all quote requests are for solo travelers. By blocking these quote requests, you will miss out on this business.
                    </span>
                  </div>';
                      }

          if ($solo1 == 'Yes this tour can be booked by solo travelers') {
                      echo '<input type="radio" name="mmoja" id="solo-yes" value="Yes this tour can be booked by solo travelers" checked><label for="solo-yes"><b>Yes,</b> <span>this tour can be booked by solo travelers</span></label><br />
                  <div class="children-block">
                    <br /><br/>';
                      } else {
                      echo '<input type="radio" name="mmoja" id="solo-yes" value="Yes this tour can be booked by solo travelers"><label for="solo-yes"><b>Yes,</b> <span>this tour can be booked by solo travelers</span></label><br />
                  <div class="children-block">
                    <br /><br/>';
                      }

          ?>



                    <h3 class="children-title">Children <span>(Does this tour accept children under 18?)</span></h3>
                    <br />
                    <div class="children-options">




                      <?php
           if ($child1 == 'No this tour does not accept children under 18') {
                      echo '<input type="radio" name="children" id="children-no" value="No this tour does not accept children under 18" checked><label for="children-no"><b>No,</b> <span>this tour does not accept children under 18</span></label><br />
                      <div class="children-hint hint warning arrow top">
                        <img src="/images/hint-lightbulb.png" alt="">
                        <span>
                          Please note that <strong>6%</strong> of all quote requests are for families with children.
                        </span>
                      </div>
';
                      } else {
                      echo '<input type="radio" name="children" id="children-no" value="No this tour does not accept children under 18"><label for="children-no"><b>No,</b> <span>this tour does not accept children under 18</span></label><br />
                      <div class="children-hint hint warning arrow top">
                        <img src="/images/hint-lightbulb.png" alt="">
                        <span>
                          Please note that <strong>6%</strong> of all quote requests are for families with children.
                        </span>
                      </div>
';
                      }

          if ($child1 == 'Yes this tour accepts children who are') {
                      echo '<input type="radio" name="children" id="children-yes" value="Yes this tour accepts children who are" checked><label for="children-yes"><b>Yes,</b> <span>this tour accepts children who are <select name="range"><option value="'.$childa.'">'.$childa.'</option>
                      <option value="0">0 year</option>
                      <option value="1">1 year</option>
                      <option value="2">2 years</option>
                      <option value="3">3 years</option>
                      <option value="4">4 years</option>
                      <option value="5">5 years</option>
                      <option value="6">6 years</option>
                      <option value="7">7 years</option>
                      <option value="8">8 years</option>
                      <option value="9">9 years</option>
                      <option value="10">10 years</option>
                      <option value="11">11 years</option>
                      <option value="12">12 years</option>
                      <option value="13">13 years</option>
                      <option value="14">14 years</option>
                      <option value="15">15 years</option>
                      <option value="16">16 years</option>
                      <option value="17">17 years</option>
                    </select> or older</span></label>
                  </div>
                </div>';
                      } else {
                      echo '<input type="radio" name="children" id="children-yes" value="Yes this tour accepts children who are"><label for="children-yes"><b>Yes,</b> <span>this tour accepts children who are <select name="range"><option value="">-- Select --</option>
                      <option value="0">0 year</option>
                      <option value="1">1 year</option>
                      <option value="2">2 years</option>
                      <option value="3">3 years</option>
                      <option value="4">4 years</option>
                      <option value="5">5 years</option>
                      <option value="6">6 years</option>
                      <option value="7">7 years</option>
                      <option value="8">8 years</option>
                      <option value="9">9 years</option>
                      <option value="10">10 years</option>
                      <option value="11">11 years</option>
                      <option value="12">12 years</option>
                      <option value="13">13 years</option>
                      <option value="14">14 years</option>
                      <option value="15">15 years</option>
                      <option value="16">16 years</option>
                      <option value="17">17 years</option>
                    </select> or older</span></label>
                  </div>
                </div>';
                      }

          ?>


                <div class="children-discount-block">
                  <br /><br />
                  <h3 class="children-discount-title">Children discount <span>(Check all that apply)</span></h3>
                  <br />
                  <div class="children-discount-options">
                    <input type="checkbox" id="children-free" name="childrenfree" value="Children aged 0 year  to"><label for="children-free">Children aged <span>0 year</span> to <select name="childrenage"><option value="">-- Select --</option>
                    <option value="0">0 year</option>
                    <option value="1">1 year</option>
                    <option value="2">2 years</option>
                    <option value="3">3 years</option>
                    <option value="4">4 years</option>
                    <option value="5">5 years</option>
                    <option value="6">6 years</option>
                    <option value="7">7 years</option>
                    <option value="8">8 years</option>
                    <option value="9">9 years</option>
                    <option value="10">10 years</option>
                    <option value="11">11 years</option>
                    <option value="12">12 years</option>
                    <option value="13">13 years</option>
                    <option value="14">14 years</option>
                  </select> are free</label><br />


                  <input type="checkbox" id="children-discount" name="childrenfree" value="I would like to list lower rates for children aged 5 years to"><label for="children-discount">I would like to list lower rates for children aged <span>5 years</span> to <select name="childrendiscountage"><option value="">-- Select --</option>
                  <option value="0">0 year</option>
                  <option value="1">1 year</option>
                  <option value="2">2 years</option>
                  <option value="3">3 years</option>
                  <option value="4">4 years</option>
                  <option value="5">5 years</option>
                  <option value="6">6 years</option>
                  <option value="7">7 years</option>
                  <option value="8">8 years</option>
                  <option value="9">9 years</option>
                  <option value="10">10 years</option>
                  <option value="11">11 years</option>
                  <option value="12">12 years</option>
                  <option value="13">13 years</option>
                  <option value="14">14 years</option>
                </select></label><br />



                <input type="checkbox" id="children-discount" name="childrenfree" value="I would like to list lower rates for children aged 12 years to"><label for="children-discount">I would like to list lower rates for children aged <span>12 years</span> to <select name="childrendiscount"><option value="">-- Select --</option>
                  <option value="0">0 year</option>
                  <option value="1">1 year</option>
                  <option value="2">2 years</option>
                  <option value="3">3 years</option>
                  <option value="4">4 years</option>
                  <option value="5">5 years</option>
                  <option value="6">6 years</option>
                  <option value="7">7 years</option>
                  <option value="8">8 years</option>
                  <option value="9">9 years</option>
                  <option value="10">10 years</option>
                  <option value="11">11 years</option>
                  <option value="12">12 years</option>
                  <option value="13">13 years</option>
                  <option value="14">14 years</option>
                </select></label><br />





              </div>
            </div>
            <div class="maxgroupsize-block">
              <br /><br />
              <h3 class="maxgroupsize-title">Max group size <span>(Is there a maximum group size for booking this tour?)</span></h3>
              <br />
              <div class="maxgroupsize-options">



                 <?php
           if ($gsize == 'No, this tour can be booked by groups of all sizes') {
                      echo '<input type="radio" name="maxgroupsize" id="maxgroupsize-no" value="No, this tour can be booked by groups of all sizes" checked><label for="maxgroupsize-no"><b>No,</b><span>this tour can be booked by groups of all sizes</span></label><br />';
                      } else {
                      echo '<input type="radio" name="maxgroupsize" id="maxgroupsize-no" value="No, this tour can be booked by groups of all sizes"><label for="maxgroupsize-no"><b>No,</b><span>this tour can be booked by groups of all sizes</span></label><br />';
                      }

          if ($gsize == 'yes, this tour is not available to groups larger than') {
                      echo '<input type="radio" name="maxgroupsize" id="maxgroupsize-yes" value="yes, this tour is not available to groups larger than" checked><label for="maxgroupsize-yes"><b>Yes,</b> <span>this tour is not available to groups larger than <select name="maxgroupsizeformat"><option value="'.$grange.'">'.$grange.'</option>
                <option value="2">2</option>
                <option value="3">3</option>
                <option value="4">4</option>
                <option value="5">5</option>
                <option value="6">6</option>
                <option value="7">7</option>
                <option value="8">8</option>
                <option value="9">9</option>
                <option value="10">10</option>
                <option value="11">11</option>
                <option value="12">12</option>
                <option value="13">13</option>
                <option value="14">14</option>
                <option value="15">15</option>
                <option value="16">16</option>
                <option value="17">17</option>
                <option value="18">18</option>
                <option value="19">19</option>
                <option value="20">20</option>
                <option value="21">21</option>
                <option value="22">22</option>
                <option value="23">23</option>
                <option value="24">24</option>
                <option value="25">25</option>
                <option value="26">26</option>
                <option value="27">27</option>
                <option value="28">28</option>
                <option value="29">29</option>
                <option value="30">30</option>
              </select> travelers</span></label><br />
              <div class="maxgroupsize-hint hint warning arrow top">
                <img src="/images/hint-lightbulb.png" alt="">
                <span>
                  Please be aware that <strong>27%</strong> of all quote requests are for three or more travelers. By blocking these quote requests, you will miss out on this business.
                </span>
              </div>
            </div>
          </div>
          <br /><br/>';
                      } else {
                      echo '<input type="radio" name="maxgroupsize" id="maxgroupsize-yes" value="yes, this tour is not available to groups larger than"><label for="maxgroupsize-yes"><b>Yes,</b> <span>this tour is not available to groups larger than <select name="maxgroupsizeformat"><option value="0">-- Select --</option>
                <option value="2">2</option>
                <option value="3">3</option>
                <option value="4">4</option>
                <option value="5">5</option>
                <option value="6">6</option>
                <option value="7">7</option>
                <option value="8">8</option>
                <option value="9">9</option>
                <option value="10">10</option>
                <option value="11">11</option>
                <option value="12">12</option>
                <option value="13">13</option>
                <option value="14">14</option>
                <option value="15">15</option>
                <option value="16">16</option>
                <option value="17">17</option>
                <option value="18">18</option>
                <option value="19">19</option>
                <option value="20">20</option>
                <option value="21">21</option>
                <option value="22">22</option>
                <option value="23">23</option>
                <option value="24">24</option>
                <option value="25">25</option>
                <option value="26">26</option>
                <option value="27">27</option>
                <option value="28">28</option>
                <option value="29">29</option>
                <option value="30">30</option>
              </select> travelers</span></label><br />
              <div class="maxgroupsize-hint hint warning arrow top">
                <img src="/images/hint-lightbulb.png" alt="">
                <span>
                  Please be aware that <strong>27%</strong> of all quote requests are for three or more travelers. By blocking these quote requests, you will miss out on this business.
                </span>
              </div>
            </div>
          </div>
          <br /><br/>';
                      }

          ?>










          <h3 class="lowerrates-title">Rates per group size <span>(Would you like to list different rates depending on group size?)</span></h3>

          <br/>
          <?php

          if ($rgroup == 'No I would like to list one per person rate that applies to all group sizes') {
                      echo '<input type="radio" name="lowerrates" id="lowerrates-no" value="No I would like to list one per person rate that applies to all group sizes" checked><label for="lowerrates-no"><b>No,</b> <span>I would like to list one per person rate that applies to all group sizes</span></label><br />';
                      } else {
                      echo '<input type="radio" name="lowerrates" id="lowerrates-no" value="No I would like to list one per person rate that applies to all group sizes" ><label for="lowerrates-no"><b>No,</b> <span>I would like to list one per person rate that applies to all group sizes</span></label><br />';
                      }


           if ($rgroup == 'Yes I would like to list different rates for groups of 1-6 people. (Listing lower rates for larger groups makes your tour more competitive)') {
                      echo '<input type="radio" name="lowerrates" id="lowerrates-yes" value="Yes I would like to list different rates for groups of 1-6 people.(Listing lower rates for larger groups makes your tour more competitive)" checked><label for="lowerrates-yes"><b>Yes,</b> <span>I would like to list different rates for groups of <span id="lowerrates_disp_pers">1-6</span> people. (Listing lower rates for larger groups makes your tour more competitive)</span></label><br/>';
                      } else {
                      echo '<input type="radio" name="lowerrates" id="lowerrates-yes" value="Yes I would like to list different rates for groups of 1-6 people.(Listing lower rates for larger groups makes your tour more competitive)"><label for="lowerrates-yes"><b>Yes,</b> <span>I would like to list different rates for groups of <span id="lowerrates_disp_pers">1-6</span> people. (Listing lower rates for larger groups makes your tour more competitive)</span></label><br/>';
                      }

          

          ?>





          <h3 class="localpayment-title">Local payments <span>(Does this tour have mandatory costs/local payments that clients have to pay during the tour?)</span></h3>
          <br/>
          
           <?php
           if ($localp == 'No this tour does not have local payments') {
                      echo '<input type="radio" name="localpay" id="localpay-no" value="No this tour does not have local payments" checked><label for="localpay-no"><b>No,</b><span>this tour does not have local payments</span></label><br />';
                      } else {
                      echo '<input type="radio" name="localpay" id="localpay-no" value="No this tour doesnt have local payments"><label for="localpay-no"><b>No,</b><span>this tour does not have local payments</span></label><br/>';
                      }

          if ($localp == 'Yes this tour has local payments') {
                      echo '<input type="radio" name="localpay" id="localpay-yes" value="Yes this tour has local payments" checked><label for="localpay-yes"><b>Yes,</b> <span>this tour has local payments</span></label><br />';
                      } else {
                      echo '<input type="radio" name="localpay" id="localpay-yes" value="Yes this tour has local payments"><label for="localpay-yes"><b>Yes,</b> <span>this tour has local payments</span></label><br />
          <br /><br />';
                      }

          ?>
          
        </div>
        <input type="submit" value="Submit" name="save" id="submit">
      </fieldset>
    </form>
    <script type="text/javascript">
    var safari_id = '0';
    var operator_id = '5067';
    </script>
  </div>
</div>
</div>
<div id="confirmbox" style="display:none"></div>
<div class="clr"></div>
</div>
<div class="row-container footer-container">
<div class="footer">
<ul class="links">
  <li>
    <span>&copy; 2023 Africa Gotrip</span>
    <span class="sep"> - </span>
  </li>
  
</ul>
</div>
</div>
</div>
<div class="problem-box-holder">
<div class="problem-box">
<div class="form">
<a href="#" class="open-button">
  Report a problem
</a>
<div class="row collapsed">
  <h3>
  Report a Problem
  <em>*All fields are required</em>
  </h3>
</div>
<form action="" method="post">
  <input type="hidden" name="operator_id" value="5067" />
  <input type="hidden" name="operator_name" value="Burigi Chato Safaris" />
  <input type="hidden" name="useragent" value="Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/109.0.0.0 Safari/537.36" />
  <input type="hidden" name="ipaddress" value="41.59.43.125" />
  <input type="hidden" name="url" value="https://operators.Africa Go Trip.com/safari/add" />
  <legend>
    Report a problem
  </legend>
  <div class="row clearfix">
    <label class="field-label inline">
      Name
    </label>
    <div class="input-container input-text">
      <input type="text" name="Name" /><span></span>
    </div>
  </div>
  <div class="row clearfix">
    <label class="field-label inline">
      Email
    </label>
    <div class="input-container input-text">
      <input type="text" name="Email" /><span></span>
    </div>
  </div>
  <div class="row clearfix">
    <label class="field-label inline">
      Issue
    </label>
    <div class="input-container input-radio">
      <span>
        <input class="checklabel" type="radio" name="issue" id="issue-bug" value="bug">
        <label for="issue-bug">Technical/Bug</label>
      </span>
      <span>
        <input class="checklabel" type="radio" name="issue" id="issue-accommodation" value="accommodation">
        <label for="issue-accommodation">Accommodation</label>
      </span>
      <span>
        <input class="checklabel" type="radio" name="issue" id="issue-other" value="other">
        <label for="issue-other">Other</label>
      </span>
      <span></span>
    </div>
  </div>
  <div class="row clearfix no-padding-top">
    <label class="field-label">
      Message<span></span>
    </label>
    <div class="input-container input-text">
      <textarea name="Message"></textarea>
    </div>
  </div>
  <div class="row">
    <button type="submit" class="sb-button submit">
    <span>
      Send
    </span>
    </button>
    <button class="sb-button grey btn-close btn-cancel small">
    <span>
      Cancel
    </span>
    </button>
  </div>
</form>
<div class="state success hidden">
  <h3><img src="/images/check-success.png" />Your message has been sent</h3>
  <p>
    Thank you for reporting a problem. We're sorry if it resulted in any inconvenience and will get back
    to you as soon as possible. If you have additional questions or remarks, you can contact us at <a href="mailto:support@Africa Go Trip.com">support@Africa Go Trip.com</a>.
  </p>
  <button class="sb-button btn-close-form">
  <span>
    Close
  </span>
  </button>
</div>
</div>
</div>
</div>
</div>
</body>
<script>
var sb_version='1.0.85';
var cookie_domain='Africa Go Trip.com';
var mvcAction = '';
var function_avail_uncertain = true;
mvcAction = "add";
Shadowbox.init({
// let's skip the automatic setup because we don't have any
// properly configured link elements on the page
//skipSetup: true
players:  [ 'html'],
onOpen: onShOpen,
onClose: onShClose,
modal: true
});
function onShOpen() {
document.body.style.overflow = "hidden";
return true;
}
function onShClose() {
document.body.style.overflow = "auto";
return true;
}
</script>
<script type="text/javascript">
// Counter to generate unique IDs for each no
var counter = 0;
function addno() {
// Clone the no template and give it a unique ID
var template = document.getElementById("no-price");
var no = template.content.cloneNode(true);
var id = "no-" + counter;
no.querySelector(".no").setAttribute("id", id);
// Add the no to the prices container
var prices = document.getElementById("prices");
prices.appendChild(no);
// Increment the counter
counter++;
// Show the no if it's not the first one
if (counter > 1) {
var newno = document.getElementById(id);
newno.style.display = "block";
}
}
function removeno(button) {
// Get the no element and remove it
var no = button.parentNode;
no.parentNode.removeChild(no);
}
function showDateprices(input) {
// Get the date no element and show the corresponding date prices
var dateprices = input.parentNode.querySelector(".dateprices");
if (input.value !== "") {
dateprices.style.display = "block";
} else {
dateprices.style.display = "none";
}
}
var myprice = document.getElementById("myprice");
myprice.addEventListener("click", function(event) {
event.preventDefault();
});
</script>
<script>
(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
})(window,document,'script','//www.google-analytics.com/analytics.js','ga');
ga('create', 'UA-23211223-2', 'auto');
ga('set', 'anonymizeIp', true);
ga('send', 'pageview');
</script>
<script type="text/javascript">
function previewImage() {
const selectedImage = document.querySelector('input[name="image"]:checked').value;
const previewContainer = document.getElementById("image-preview");
previewContainer.innerHTML = `<img src="${selectedImage}" alt="Preview Image" />`;
}
</script>
<script type="text/javascript">
// Counter to generate unique IDs for each field
var counter = 0;
function addField() {
// Clone the field template and give it a unique ID
var template = document.getElementById("field-template");
var field = template.content.cloneNode(true);
var id = "field-" + counter;
field.querySelector(".field").setAttribute("id", id);
// Add the field to the fields container
var fields = document.getElementById("fields");
fields.appendChild(field);
// Increment the counter
counter++;
// Show the field if it's not the first one
if (counter > 1) {
var newField = document.getElementById(id);
newField.style.display = "block";
}
}
function removeField(button) {
// Get the field element and remove it
var field = button.parentNode;
field.parentNode.removeChild(field);
}
function showDateFields(input) {
// Get the date field element and show the corresponding date fields
var dateFields = input.parentNode.querySelector(".dateFields");
if (input.value !== "") {
dateFields.style.display = "block";
} else {
dateFields.style.display = "none";
}
}
var myLink = document.getElementById("myLink");
myLink.addEventListener("click", function(event) {
event.preventDefault();
});
</script>
<script>
const startDateInput = document.querySelector('input[name="start_date[]"]');
const ratesDiv = document.querySelector('.rates');
startDateInput.addEventListener('change', function() {
if (this.value !== '') {
ratesDiv.style.display = 'block';
} else {
ratesDiv.style.display = 'none';
}
});
</script>
<script>
function showDiv(divId) {
const div = document.getElementById(divId);
const otherDivId = divId === 'any' ? 'show' : 'any';
const otherDiv = document.getElementById(otherDivId);
if (div.style.display === 'none') {
div.style.display = 'block';
otherDiv.style.display = 'none';
}
}
</script>
<!-- 0.22282290458679 / 33 q / 23 ch / 5 cm / sb-eu-web1 -->
</html>