<?php
ini_set('session.gc_maxlifetime', 3600);
$cookieParams = session_get_cookie_params();
session_set_cookie_params([
    'lifetime' => 3600,
    'path' => $cookieParams['path'],
    'domain' => $cookieParams['domain'],
    'secure' => $cookieParams['secure'],
    'httponly' => true
]);

session_start();
if (!isset($_SESSION['email'])) {
    header("Location: login.php");
    exit();
}

$email = $_SESSION["email"];

$id=$_GET['id'];

  $conn= new mysqli('localhost','siteyajof24_questuser','@tourquests#2024','siteyajof24_questdb')or die("Could not connect to mysql".mysqli_error($conn));

if (!$conn) {
    die("Connection failed: " . mysqli_connect_error());
}
if (isset($_POST['save'])) {
if(isset($_POST['notes'])) {
    $includedItems = [
        [
            "item" => "Sleeping bag or bed linen",
            "checkbox" => "311",
            "add_info" => "311_add"
        ],
        [
            "item" => "Bath towels",
            "checkbox" => "333",
            "add_info" => ""
        ],
        [
            "item" => "Rental vehicle",
            "checkbox" => "312",
            "add_info" => "Allow %s to %s per day to cover rental costs."
        ],
        [
            "item" => "Porterage",
            "checkbox" => "313",
            "add_info" => ""
        ],
        [
            "item" => "Rescue fee",
            "checkbox" => "314",
            "add_info" => ""
        ],
        [
            "item" => "Climbing gear",
            "checkbox" => "315",
            "add_info" => ""
        ],
        [
            "item" => "Gorilla trekking permits",
            "checkbox" => "317",
            "add_info" => "317_add"
        ],
        [
            "item" => "Chimp trekking permits",
            "checkbox" => "318",
            "add_info" => "318_add"
        ],
        [
            "item" => "Park fees",
            "checkbox" => "316_duplicate",
            "add_info" => ""
        ],
        [
            "item" => "A professional driver/guide",
            "checkbox" => "326_duplicate",
            "add_info" => ""
        ],

        [
            "item" => "All activities mentioned (unless clearly labeled as optional)",
            "checkbox" => "319",
            "add_info" => ""
        ],
        [
            "item" => "Meals (as specified in the day-by-day description)",
            "checkbox" => "320",
            "add_info" => ""
        ],
        [
            "item" => "All accommodation mentioned (unless clearly labeled as optional upgrade)",
            "checkbox" => "321",
            "add_info" => ""
        ],
        [
            "item" => "Roundtrip airport transfer",
            "checkbox" => "324",
            "add_info" => ""
        ],
        [
            "item" => "Camping equipment (only sleeping bag/bed linen may be listed as excluded)",
            "checkbox" => "325",
            "add_info" => ""
        ],
        [
            "item" => "All transportation mentioned (unless clearly labeled as optional)",
            "checkbox" => "327",
            "add_info" => ""
        ],
        [
            "item" => "All flights during the tour",
            "checkbox" => "328",
            "add_info" => ""
        ],
        [
            "item" => "All Taxes/VAT",
            "checkbox" => "329",
            "add_info" => ""
        ],
         [
            "item" => "International flights to/from the start/end of the tour",
            "checkbox" => "330",
            "add_info" => ""
        ],
        [
            "item" => "Additional accommodation before and at the end of the tour",
            "checkbox" => "323",
            "add_info" => ""
        ],
        [
            "item" => "Tips: tipping guideline",
            "checkbox" => "331",
            "add_info" => "331_add"
        ],
        [
            "item" => "Personal items",
            "checkbox" => "332",
            "add_info" => ""
        ],
        [
            "item" => "Government imposed increase of taxes and/or park fees",
            "checkbox" => "310",
            "add_info" => ""
        ]
    ];
    
    
    foreach ($includedItems as $includedItem) {
        $checkbox = $_POST['notes'][$includedItem['checkbox']] ?? '';
        
        if ($checkbox == 'included') {
            $item = $includedItem['item'];
            $add_info = isset($_POST['notes'][$includedItem['add_info']]) ? $_POST['notes'][$includedItem['add_info']] : '';
            
            $sql = "INSERT INTO inclusions (title_id,item, included, add_info)
            VALUES ('$id', '$item', 'Yes', '$add_info')";
            
            $result = mysqli_query($conn, $sql);
            
            // Check for any errors
            if (!$result) {
                echo mysqli_error($conn);
            }
        }

        elseif ($checkbox == 'excluded') {
            $item = $includedItem['item'];
            $add_info = isset($_POST['notes'][$includedItem['add_info']]) ? $_POST['notes'][$includedItem['add_info']] : '';
            
            $sql = "INSERT INTO inclusions (title_id,item, included, add_info)
            VALUES ('$id', '$item', 'No', '$add_info')";
            
            $result = mysqli_query($conn, $sql);
            
            // Check for any errors
            if (!$result) {
                echo mysqli_error($conn);
            }
        }



    }

    // Redirect to notes.php
    header('location: notes.php?&id='.$id);
    exit;
}

}


?>
</style>
<!DOCTYPE html>
<html lang="en" class=" computer production ">
  <head>
    <meta name="csrf-token" content="qpD4mEQUJ5ClYZ1IQOu9CeETBJrBuBLilKg3D4VW" />
    <meta name="token_refresh" content="200" />
    
    <title>Add a Tour | Africatourbase Tour Operator Admin</title>
    <meta name="robots" content="noindex, nofollow, noodp">
    <script>
    var IE6lower = false;
    </script>
    <link href="css/tourbase.min.css" media="all" rel="stylesheet" type="text/css"/>
    <link href="css/glyphicons-halflings.css" media="all" rel="stylesheet" type="text/css" />
    <link href="css/shadowbox.css" media="all" rel="stylesheet" type="text/css"/>
    <link href="css/jqueryui.1.8.4.green.css" media="all" rel="stylesheet" type="text/css"/>
    <link href="css/reveal.css" media="all" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="css/backend.min.css">
    
    <script type="text/javascript" src="js/moment.2.24.0.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script type="text/javascript" src="js/jqueryui.1.10.3.min.js"></script>
    <script type="text/javascript" src="js/validation.js"></script>
    <script type="text/javascript" src="js/jquery.metadata.js"></script>
    <script type="text/javascript" src="js/jquery.validate.js"></script>
    <script type="text/javascript" src="js/jquery.browser.min.js"></script>
    <script type="text/javascript" src="js/jquery.tinymce.js"></script>
    <script type="text/javascript" src="js/shadowbox.js"></script>
    <script type="text/javascript" src="js/jquery.uploadifive.min.js"></script>
    <script type="text/javascript" src="js/problem-box.js"></script>
    <script type="text/javascript" src="js/jquery.accordion.js"></script>
    <script type="text/javascript" src="js/jquery.radio.js"></script>
    <script type="text/javascript" src="js/jquery.remodal.min.js"></script>
    <script type="text/javascript" src="js/jquery.balloon.js"></script>
    <script type="text/javascript" src="js/daterangepicker.js"></script>
    <script type="text/javascript" src="js/foundation.min.js"></script>
    <script type="text/javascript" src="js/sb.js"></script>
    <script type="text/javascript" src="js/autocomplete.js"></script>
    <script type="text/javascript" src="js/tourbase.js"></script>
    <script type="text/javascript" src="js/safari.js"></script>
    
    <!--<script type="text/javascript">
    $sb.init("https://operators.AfricaGoTrips.com","https://www.AfricaGoTrips.com");
    </script>
    -->
    
    <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAqZO4KmgfblsNZl4mj_3aJilBsVFZ0Rco"></script>
    <script type="text/javascript" src="js/chosen.jquery.js"></script>
    <script type="text/javascript" src="js/chosenImage.jquery.js"></script>
    <script type="text/javascript" src="js/availability.js"></script>
    <script type="text/javascript" src="js/svg.js"></script>
    <script type="text/javascript" src="css/validation.js"></script>
    <style>
            .navbar {
    background-color: #fbfbfb;
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 9999;
    }
    .navbar ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: space-around;
    }
    .navbar li {
    padding: 10px;
    }
    .navbar li a {
    
    text-decoration: none;
    }
    .navbar li a:hover {
    text-decoration: underline;
    }
    #preview {
    background-color: #ad2322;
    color: white;
    padding: 10px;
    margin-top: 20px;
    border: 1px solid #ddd;
    }
    .navbar {
  height: 80px;
  margin-top: 10px;
  margin-bottom: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px dashed #000;
}
    </style>
    
    
    
    
  </head>
  <?php
  include('includes/header.php');
  ?>
  <body>
    <div id="surface">
      <div id="page" class="">
        <div id="Wrapper">
          <div id="Middle">
            <div id="Right">
              <div class="Yourinfo">     
                 <nav class="navbar">
    <ul>
        <?php
        echo'<li><a href="general_info.php?&id='.$id.'">General Information</a></li>
        <li><a href="private_group.php?&id='.$id.'">Private/Group</a></li>
        <li><a href="activities.php?&id='.$id.'">Activities</a></li>
        <li><a href="getting_there.php?&id='.$id.'">Getting There</a></li>
        <li><a href="Daydescription.php?&id='.$id.'">Day-by-Day</a></li>
        <li><a href="dates_rates.php?&id='.$id.'">Dates &amp; Rates</a></li>
        <li><a href="inclusions.php?&id='.$id.'">Inclusions</a></li>
        <li><a href="photo.php?&id='.$id.'">Tour Photo</a></li>
        <li><a href="preview/preview.php?&id='.$id.'" id="preview">Tour Preview</a></li>';?>
    </ul>
</nav>
                
                <form class="tour-form" method="POST" action="" enctype="multipart/form-data" id="top" data-val="/tours/t-preview"  >
                  
                  <fieldset id="inclusions">
                    <h2><strong>Inclusions</strong></h2>
                    <div>
                      <ul>
                        <li class="incl-sleepingbag">
                          <input type="radio" name="notes[311]" value="included" id="sleepingbag-included" checked><label for="sleepingbag-included">Included</label>
                          <input type="radio" name="notes[311]" value="excluded" id="sleepingbag-excluded" ><label for="sleepingbag-excluded">Excluded</label>
                          <span><select name="notes[311_add]"><option value="sleepingbag">Sleeping bag</option><option value="bedlinen">Bed linen</option></select></span>
                        </li>
                        <li class="incl-bathtowels">
                          <input type="radio" name="notes[333]" value="included" id="bathtowels-included"><label for="bathtowels-included">Included</label>
                          <input type="radio" name="notes[333]" value="excluded" id="bathtowels-excluded"><label for="bathtowels-excluded">Excluded</label>
                          <span>Bath towels</span>
                        </li>
                        <li class="incl-vehiclerent">
                          <input type="radio" name="notes[312]" value="included" id="vehiclerent-included"><label for="vehiclerent-included">Included</label>
                          <input type="radio" name="notes[312]" value="excluded" id="vehiclerent-excluded"><label for="vehiclerent-excluded">Excluded</label>
                          <span>Rental vehicle<span class="incl-vehiclerent-extra">: allow <select name="notes[312_add1]"><option value="25">US$25</option><option value="50" selected>US$50</option><option value="100">US$100</option><option value="150">US$150</option><option value="250">US$250</option><option value="300">US$300</option><option value="400">US$400</option><option value="500">US$500</option></select> to <select name="notes[312_add2]"><option value="25">US$25</option><option value="50">US$50</option><option value="100" selected>US$100</option><option value="150">US$150</option><option value="250">US$250</option><option value="300">US$300</option><option value="400">US$400</option><option value="500">US$500</option></select> per day to cover rental costs</span>
                        </li>
                        <li class="incl-porterage">
                          <input type="radio" name="notes[313]" value="included" id="porterage-included"><label for="porterage-included">Included</label>
                          <input type="radio" name="notes[313]" value="excluded" id="porterage-excluded"><label for="porterage-excluded">Excluded</label>
                          <span>Porterage</span>
                        </li>
                        <li class="incl-rescue">
                          <input type="radio" name="notes[314]" value="included" id="rescue-included" checked><label for="rescue-included">Included</label>
                          <input type="radio" name="notes[314]" value="excluded" id="rescue-excluded" ><label for="rescue-excluded">Excluded</label>
                          <span>Rescue fee</span>
                        </li>
                        <li class="incl-climbinggear">
                          <input type="radio" name="notes[315]" value="included" id="climbinggear-included"><label for="climbinggear-included">Included</label>
                          <input type="radio" name="notes[315]" value="excluded" id="climbinggear-excluded"><label for="climbinggear-excluded">Excluded</label>
                          <span>Climbing gear</span>
                        </li>



                        <li class="incl-gorillapermits">
                          <input type="radio"  name="notes[317]" value="included" id="gorillapermits-included"><label for="gorillapermits-included">Included</label>
                          <input type="radio"  name="notes[317]" value="excluded"><label for="gorillapermits-excluded">Excluded</label>
                          <span>Gorilla trekking permits (for non-residents): <select name="notes[317_add]"><option value="1">1 permit</option><option value="2">2 permits</option></select> per person</span>
                        </li>


                        <li class="incl-gorillapermits-exc">
                          <input type="radio" name="notes[317_duplicate]" value="included" id="gorillapermits-included2"><label for="gorillapermits-included2">Included</label>
                          <input type="radio" name="notes[317_duplicate]" value="excluded" id="gorillapermits-excluded2"><label for="gorillapermits-excluded2">Excluded</label>
                          <span>Gorilla trekking permits (for non-residents): <select name="notes[317_add_duplicate]"><option value="1">1 permit</option><option value="2">2 permits</option></select> per person</span>
                        </li>

                        <li class="incl-chimppermits">
                          <input type="radio" name="notes[318]" value="included" id="chimppermits-included"><label for="chimppermits-included">Included</label>
                          <input type="radio"  name="notes[318]" value="excluded" id="chimppermits-excluded"><label for="chimppermits-excluded">Excluded</label>

                          <span>Chimp trekking permits (for non-residents): <select name="notes[318_add]"><option value="1">1 permit</option><option value="2">2 permits</option><option value="3">3 permits</option></select> per person</span>
                        </li>


                        <li class="incl-chimppermits-exc">
                          <input type="radio" name="notes[318_duplicate]" value="included" id="chimppermits-included2"><label for="chimppermits-included2">Included</label>
                          <input type="radio"  name="notes[318_duplicate]" value="excluded" id="chimppermits-excluded2"><label for="chimppermits-excluded2">Excluded</label>
                          <span>Chimp trekking permits (for non-residents): <select name="notes[318_add_duplicate]"><option value="1">1 permit</option><option value="2">2 permits</option><option value="3">3 permits</option></select> per person</span>
                        </li>


                        <li class="incl-balloon">
                          <input type="radio" name="notes[334]" value="included" id="balloon-included"><label for="balloon-included">Included</label>
                          <input type="radio"  name="notes[334]" value="excluded" id="balloon-excluded"><label for="balloon-excluded">Excluded</label>
                          <span>Hot air balloon safari</span>
                        </li>

                        <li class="incl-parkfees_both">
                          <input type="radio" name="notes[316_duplicate]" value="included" id="parkfees_duplicate-included"><label for="parkfees_duplicate-included">Included</label>
                          <input type="radio" name="notes[316_duplicate]" value="excluded" id="parkfees_duplicate-excluded"><label for="parkfees_duplicate-excluded">Excluded</label>
                          <span>Park fees (for non-residents)</span>
                        </li>
                        <li class="incl-proguide_both">
                          <input type="radio" name="notes[326_duplicate]" value="included" id="proguide_duplicate-included"><label for="proguide_duplicate-included">Included</label>
                          <input type="radio" name="notes[326_duplicate]" value="excluded" id="proguide_duplicate-excluded"><label for="proguide_duplicate-excluded">Excluded</label>
                          <span>A professional driver/guide</span>
                        </li>


                        <li class="incl-parkfees">
                          <input type="radio" name="notes[316]" value="included" id="parkfees-included" checked><label for="parkfees-included">Included</label>
                          <input type="radio"  name="notes[316]" value="excluded" id="parkfees-excluded" data-expl="You can't exclude park fees, but you are allowed to include them as local payment in the 'Dates & Rates' section"><label for="parkfees-excluded">Excluded</label>
                          <span>Park fees (for non-residents)</span>
                        </li>



                        <li>
                          <input type="radio" name="notes[319]" value="included" id="allactivities-included"><label for="allactivities-included">Included</label>
                          <input type="radio"  name="notes[319]" value="excluded" id="allactivities-excluded"><label for="allactivities-excluded">Excluded</label>
                          <span>All activities mentioned (unless clearly labeled as optional)</span>
                        </li>
                        <li>
                          <input type="radio" checked name="notes[320]" value="included" id="meals-included"><label for="meals-included">Included</label>
                          <input type="radio"  name="notes[320]" value="excluded" id="meals-excluded"><label for="meals-excluded">Excluded</label>
                          <span>Meals (as specified in the day-by-day description)</span>
                        </li>
                        <li class="incl-allacco">
                          <input type="radio" checked name="notes[321]" value="included" id="allacco-included"><label for="allacco-included">Included</label>
                          <input type="radio"  name="notes[321]" value="excluded" id="allacco-excluded"><label for="allacco-excluded">Excluded</label>
                          <span>All accommodation mentioned (unless clearly labeled as optional upgrade)</span>
                        </li>
                        <li class="incl-roundtrip-inc">
                          <input type="radio" name="notes[324]" value="included" id="roundtrip-inc-included"><label for="roundtrip-included">Included</label>
                          <input type="radio"  name="notes[324]" value="excluded" id="roundtrip-inc-excluded"><label for="roundtrip-excluded">Excluded</label>
                          <span>Roundtrip airport transfer</span>
                        </li>


                        <li class="incl-campingeq">
                          <input type="radio" checked  name="notes[325]" value="included" id="campingeq-included"><label for="campingeq-included">Included</label>
                          <input type="radio"  name="notes[325]" value="excluded" id="campingeq-excluded" data-expl="You can't list this option as excluded"><label for="campingeq-excluded">Excluded</label>
                          <span>Camping equipment (only sleeping bag/bed linen may be listed as excluded)</span>
                        </li>
                        <li class="incl-proguide">
                          <input type="radio"  name="notes[326]" value="included" id="proguide-included" checked><label for="proguide-included">Included</label>
                          <input type="radio"  name="notes[326]" value="excluded" id="proguide-excluded" data-expl="You can't list this option as excluded"><label for="proguide-excluded">Excluded</label>
                          <span>A professional driver/guide</span>
                        </li>
                        <li>
                          <input type="radio" checked          name="notes[327]" value="included" id="alltransp-included"><label for="alltransp-included">Included</label>
                          <input type="radio"  name="notes[327]" value="excluded" id="alltransp-excluded"><label for="alltransp-excluded">Excluded</label>
                          <span>All transportation mentioned (unless clearly labeled as optional)</span>
                        </li>
                        <li class="incl-allflights">
                          <input type="radio" name="notes[328]" value="included" id="allflights-included"><label for="allflights-included">Included</label>
                          <input type="radio"  name="notes[328]" value="excluded" id="allflights-excluded"><label for="allflights-excluded">Excluded</label>
                          <span>All flights during the tour</span>
                        </li>
                        <li>
                          <input type="radio" checked          name="notes[329]" value="included" id="alltaxes-included"><label for="alltaxes-included">Included</label>
                          <input type="radio"  name="notes[329]" value="excluded" id="alltaxes-excluded" data-expl="You can't list this option as excluded"><label for="alltaxes-excluded">Excluded</label>
                          <span>All Taxes/VAT</span>
                        </li>
                        <li>
                          <input type="radio"  name="notes[330]" value="included" id="intflights-included" data-expl="You can't list this option as included"><label for="intflights-included">Included</label>

                          <input type="radio" checked          name="notes[330]" value="excluded" id="intflights-excluded"><label for="intflights-excluded">Excluded</label>
                          <span>International flights (from/to the client's home country)</span>
                        </li>
                        <li>
                          <input type="radio"  name="notes[323]" value="included" id="arrivalacco-exc-included" data-expl="You can't list this option as included"><label for="arrivalacco-exc-included">Included</label>
                          <input type="radio" checked          name="notes[323]" value="excluded" id="arrivalacco-exc-excluded"><label for="arrivalacco-exc-excluded">Excluded</label>
                          <span>Additional accommodation before and at the end of the tour</span>
                        </li>
                        <li>
                          <input type="radio"  name="notes[331]" value="included" id="tip-included" data-expl="You can't list this option as included"><label for="tip-included">Included</label>
                          <input type="radio" checked          name="notes[331]" value="excluded" id="tip-excluded"><label for="tip-excluded">Excluded</label>
                          <span>Tips: tipping guideline of <select name="notes[331_add]"><option value="5">US$ 5.00</option><option value="10" selected>US$ 10.00</option><option value="15">US$ 15.00</option><option value="20">US$ 20.00</option><option value="25">US$ 25.00</option><option value="50">US$ 50.00</option><option value="100">US$ 100.00</option><option value="nan">No tip expected</option></select> per person per day for the guide and crew</span>
                        </li>
                        <li>
                          <input type="radio"  name="notes[332]" value="included" id="personalitems-included" data-expl="You can't list this option as included"><label for="personalitems-included">Included</label>
                          <input type="radio" checked          name="notes[332]" value="excluded" id="personalitems-excluded"><label for="personalitems-excluded">Excluded</label>
                          <span>Personal items (souvenirs, travel insurance, visa fees and other personal items)</span>
                        </li>
                        <li>
                          <input type="radio"  name="notes[310]" value="included" id="governmenttax-included" data-expl="You can't list this option as included."><label for="governmenttax-included">Included</label>
                          <input type="radio" checked          name="notes[310]" value="excluded" id="governmenttax-excluded"><label for="governmenttax-excluded">Excluded</label>
                          <span>Government imposed increase of taxes and/or park fees</span>
                        </li>
                      </ul>
                    </div>
                  </fieldset>
                  <input type="submit" name="save" value="Continue" class="sb-button large button1652012 bottom-submit-btn" />
                </form>
                <script type="text/javascript">
                var safari_id = '0';
                var operator_id = '5067';
                </script>
              </div>
            </div>
          </div>
          <div id="confirmbox" style="display:none"></div>
          <div class="clr"></div>
        </div>
        <div class="row-container footer-container">
          <div class="footer">
            <ul class="links">
              <li>
                <span>&copy; 2023 AfricaGoTrips</span>
                <span class="sep"> - </span>
              </li>
              <li>
                <a href="" target="_blank" class="editorial">
                  Editorial Guidelines
                </a>
                <span class="sep"> - </span>
              </li>
              <li>
                <a href="" target="_blank" class="partnership">
                  Partnership Agreement
                </a>
              </li>
            </ul>
          </div>
        </div>
      </div>
      <div class="problem-box-holder">
        <div class="problem-box">
          <div class="form">
            <a href="#" class="open-button">
              Report a problem
            </a>
            <div class="row collapsed">
              <h3>
              Report a Problem
              <em>*All fields are required</em>
              </h3>
            </div>
            <form action="" method="post">
              <input type="hidden" name="operator_id" value="5067" />
              <input type="hidden" name="operator_name" value="Burigi Chato Safaris" />
              <input type="hidden" name="useragent" value="Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/109.0.0.0 Safari/537.36" />
              <input type="hidden" name="ipaddress" value="41.59.43.125" />
              <input type="hidden" name="url" value="https://operators.AfricaGoTrips.com/safari/add" />
              <legend>
                Report a problem
              </legend>
              <div class="row clearfix">
                <label class="field-label inline">
                  Name
                </label>
                <div class="input-container input-text">
                  <input type="text" name="Name" /><span></span>
                </div>
              </div>
              <div class="row clearfix">
                <label class="field-label inline">
                  Email
                </label>
                <div class="input-container input-text">
                  <input type="text" name="Email" /><span></span>
                </div>
              </div>
              <div class="row clearfix">
                <label class="field-label inline">
                  Issue
                </label>
                <div class="input-container input-radio">
                  <span>
                    <input class="checklabel" type="radio" name="issue" id="issue-bug" value="bug">
                    <label for="issue-bug">Technical/Bug</label>
                  </span>
                  <span>
                    <input class="checklabel" type="radio" name="issue" id="issue-accommodation" value="accommodation">
                    <label for="issue-accommodation">Accommodation</label>
                  </span>
                  <span>
                    <input class="checklabel" type="radio" name="issue" id="issue-other" value="other">
                    <label for="issue-other">Other</label>
                  </span>
                  <span></span>
                </div>
              </div>
              <div class="row clearfix no-padding-top">
                <label class="field-label">
                  Message<span></span>
                </label>
                <div class="input-container input-text">
                  <textarea name="Message"></textarea>
                </div>
              </div>
              <div class="row">
                <button type="submit" class="sb-button submit">
                <span>
                  Send
                </span>
                </button>
                <button class="sb-button grey btn-close btn-cancel small">
                <span>
                  Cancel
                </span>
                </button>
              </div>
            </form>
            <div class="state success hidden">
              <h3><img src="/images/check-success.png" />Your message has been sent</h3>
              <p>
                Thank you for reporting a problem. We're sorry if it resulted in any inconvenience and will get back
                to you as soon as possible. If you have additional questions or remarks, you can contact us at <a href="mailto:support@AfricaGoTrips.com">support@AfricaGoTrips.com</a>.
              </p>
              <button class="sb-button btn-close-form">
              <span>
                Close
              </span>
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
  <script>
  var sb_version='1.0.85';
  var cookie_domain='AfricaGoTrips.com';
  var mvcAction = '';
  var function_avail_uncertain = true;
  mvcAction = "add";
  Shadowbox.init({
  // let's skip the automatic setup because we don't have any
  // properly configured link elements on the page
  //skipSetup: true
  players:  [ 'html'],
  onOpen: onShOpen,
  onClose: onShClose,
  modal: true
  });
  function onShOpen() {
  document.body.style.overflow = "hidden";
  return true;
  }
  function onShClose() {
  document.body.style.overflow = "auto";
  return true;
  }
  </script>
  <script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','//www.google-analytics.com/analytics.js','ga');
  ga('create', 'UA-23211223-2', 'auto');
  ga('set', 'anonymizeIp', true);
  ga('send', 'pageview');
  </script>
</html>